import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class Portfolio extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    title: string;

    @Prop({ default: null, nullable: true })
    subTitle: string;

    @Prop({ default: null, nullable: true })
    urlSlug: string;

    @Prop({ default: null, nullable: true })
    clientName: string;

    @Prop({ default: null, nullable: true })
    buttonLink: string;

    @Prop({ default: null, nullable: true })
    featuredImage: string;

    @Prop({ default: null, nullable: true })
    images: string[];

    @Prop({ default: null, nullable: true })
    description: string;


    @Prop({ type: Object })
    developmentSolutions: Object

    @Prop({ type: Object })
    marketingSolutions: Object

    // @Prop({ default: null, nullable: true })
    // services: Services[];
    
    @Prop({ nullable: true, default: 0 })
    position: number;

}

export const PortfolioSchema = SchemaFactory.createForClass(Portfolio);