import { MailerModule } from "@nestjs-modules/mailer";
import { HandlebarsAdapter } from '@nestjs-modules/mailer/dist/adapters/handlebars.adapter';
import { Module } from "@nestjs/common";
import { ConfigModule } from "@nestjs/config";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import { AppController } from "./app.controller";
import { AppService } from "./app.service";
import JwtConfigService from "./core/jwt/jwt-config.service";
import { AnalyticsDashboardSectionFiveCmsModule } from "./modules/AnalyticsDashboardPage/analytics-dashboard-section-five-cms/analytics-dashboard-section-five-cms.module";
import { AnalyticsDashboardSectionFourCmsModule } from "./modules/AnalyticsDashboardPage/analytics-dashboard-section-four-cms/analytics-dashboard-section-four-cms.module";
import { AnalyticsDashboardSectionOneCmsModule } from "./modules/AnalyticsDashboardPage/analytics-dashboard-section-one-cms/analytics-dashboard-section-one-cms.module";
import { AnalyticsDashboardSectionSixCmsModule } from "./modules/AnalyticsDashboardPage/analytics-dashboard-section-six-cms/analytics-dashboard-section-six-cms.module";
import { AnalyticsDashboardSectionSixModule } from "./modules/AnalyticsDashboardPage/analytics-dashboard-section-six/analytics-dashboard-section-six.module";
import { AnalyticsDashboardSectionThreeCmsModule } from "./modules/AnalyticsDashboardPage/analytics-dashboard-section-three-cms/analytics-dashboard-section-three-cms.module";
import { AnalyticsDashboardSectionTwoCmsModule } from "./modules/AnalyticsDashboardPage/analytics-dashboard-section-two-cms/analytics-dashboard-section-two-cms.module";
import { AboutSectionOneCmsModule } from "./modules/CMS/about-section-one-cms/about-section-one-cms.module";
import { AboutSectionThreeCmsModule } from "./modules/CMS/about-section-three-cms/about-section-three-cms.module";
import { AboutSectionTwoCmsModule } from "./modules/CMS/about-section-two-cms/about-section-two-cms.module";
import { BookAConsultationPageCmsModule } from "./modules/CMS/book-a-consultation-page-cms/book-a-consultation-page-cms.module";
import { ChatbotPageSectionFourCmsModule } from "./modules/CMS/chatbot-page-section-four-cms/chatbot-page-section-four-cms.module";
import { ChatbotSectionOneCmsModule } from "./modules/CMS/chatbot-section-one/chatbot-section-one-cms.module";
import { ChatbotSectionThreeCmsModule } from "./modules/CMS/chatbot-section-three-cms/chatbot-section-three-cms.module";
import { ChatbotSectionTwoCmsModule } from "./modules/CMS/chatbot-section-two-cms/chatbot-section-two-cms.module";
import { CheckoutSectionFourCmsModule } from "./modules/CMS/checkout-section-four-cms/checkout-section-four-cms.module";
import { CheckoutSectionOneCmsModule } from "./modules/CMS/checkout-section-one-cms/checkout-section-one-cms.module";
import { CheckoutSectionThreeCmsModule } from "./modules/CMS/checkout-section-three-cms/checkout-section-three-cms.module";
import { CheckoutSectionTwoCmsModule } from "./modules/CMS/checkout-section-two-cms/checkout-section-two-cms.module";
import { CommonPageCmsModule } from "./modules/CMS/common-page-cms/common-page-cms.module";
import { ContactPageCmsModule } from "./modules/CMS/contact-page-cms/contact-page-cms.module";
import { HeaderFooterCmsModule } from "./modules/CMS/header-footer-cms/header-footer-cms.module";
import { HireUsCmsModule } from "./modules/CMS/hire-us-cms/hire-us-cms.module";
import { HomeCmsModule } from "./modules/CMS/home-cms/home-cms.module";
import { HomeCompanySloganCmsModule } from "./modules/CMS/home-company-slogan/home-compnay-slogan-cms.module";
import { HomeHeroCmsModule } from "./modules/CMS/home-hero-cms/home-hero-cms.module";
import { HomeProjectCmsModule } from "./modules/CMS/home-project-cms/home-project-cms.module";
import { IntegrationsPageCMSModule } from "./modules/CMS/integrations-page-cms/integrations-page-cms.module";
import { IntegrationsPageSectionFiveCmsModule } from "./modules/CMS/integrations-page-section-five-cms/integrations-page-section-five-cms.module";
import { IntegrationsPageSectionFourCmsModule } from "./modules/CMS/integrations-page-section-four-cms/integrations-page-section-four-cms.module";
import { IntegrationsPageSectionSixCmsModule } from "./modules/CMS/integrations-page-section-six-cms/integrations-page-section-six-cms.module";
import { IntegrationsPageSectionThreeModule } from "./modules/CMS/integrations-page-section-three/integrations-page-section-three.module";
import { IntegrationsPageSectionTwoCmsModule } from "./modules/CMS/integrations-page-section-two-cms/integrations-page-section-two-cms.module";
import { NewsletterCmsModule } from "./modules/CMS/newsletter-cms/newsletter-cms.module";
import { PortfolioDetailsDiscoverCmsModule } from "./modules/CMS/portfolio-details-discover-cms/portfolio-details-discover-cms.module";
import { PostPurchaseSectionFourCmsModule } from "./modules/CMS/post-purchase-section-four-cms/post-purchase-section-four-cms.module";
import { PostPurchaseSectionOneCmsModule } from "./modules/CMS/post-purchase-section-one-cms/post-purchase-section-one-cms.module";
import { PostPurchaseSectionThreeCmsModule } from "./modules/CMS/post-purchase-section-three-cms/post-purchase-section-three-cms.module";
import { PostPurchaseSectionTwoCmsModule } from "./modules/CMS/post-purchase-section-two-cms/post-purchase-section-two-cms.module";
import { PrivacyPolicyCmsModule } from "./modules/CMS/privacy-policy-cms/privacy-policy-cms.module";
import { RobotTextCmsModule } from "./modules/CMS/robot-text-cms/robot-text-cms.module";
import { SiteMapCmsModule } from "./modules/CMS/site-map-cms/site-map-cms.module";
import { SolutionServiceDetailsCmsModule } from "./modules/CMS/solution-service-details-cms/solution-service-details-cms.module";
import { SolutionTypeDetailsCmsModule } from "./modules/CMS/solution-type-details-cms/solution-type-details-cms.module";
import { StatisticsCmsModule } from "./modules/CMS/statistics-section-cms/statistics-cms.module";
import { DashboardSectionFiveCmsModule } from "./modules/CMSDashboardPage/dashboard-section-five-cms/dashboard-section-five-cms.module";
import { DashboardSectionFourCmsModule } from "./modules/CMSDashboardPage/dashboard-section-four-cms/dashboard-section-four-cms.module";
import { DashboardSectionOneCmsModule } from "./modules/CMSDashboardPage/dashboard-section-one-cms/dashboard-section-one-cms.module";
import { DashboardSectionThreeCmsModule } from "./modules/CMSDashboardPage/dashboard-section-three-cms/dashboard-section-three-cms.module";
import { DashboardSectionTwoCmsModule } from "./modules/CMSDashboardPage/dashboard-section-two-cms/dashboard-section-two-cms.module";
import { ClientsModule } from "./modules/CRUD/clients/clients.module";
import { ConsultationModule } from "./modules/CRUD/consultation/consultation.module";
import { ContactModule } from "./modules/CRUD/contact/contact.module";
import { IntegrationsModule } from "./modules/CRUD/integrations/integrations.module";
import { NewsletterSubscriptionModule } from "./modules/CRUD/newsletter-subscription/newsletter-subscription.module";
import { PartnersModule } from "./modules/CRUD/partners/partners.module";
import { PortfolioModule } from "./modules/CRUD/portfolio/portfolio.module";
import { ServicesModule } from "./modules/CRUD/services/services.module";
import { SocialLinksModule } from "./modules/CRUD/social-links/social-links.module";
import { SolutionsModule } from "./modules/CRUD/solutions/solutions.module";
import { UsersSchema } from "./modules/CRUD/users/schema/users.schema";
import { UsersModule } from "./modules/CRUD/users/users.module";
import { SpacesModule } from "./modules/SpacesModule/spaces.module";
import { AuthModule } from "./modules/auth/auth.module";
import { MailSenderModule } from "./modules/mail-sender/mail-sender.module";
import { SiteFrontendModule } from "./modules/site-frontend/site-frontend.module";

@Module({
    imports: [
        ConfigModule.forRoot({
            isGlobal: true,
        }),
        MongooseModule.forRoot(process.env.DATABASE_URL),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema }
        ]),
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MailerModule.forRoot({
            transport: {
                host: process.env.EMAIL_HOST,
                port: parseInt(process.env.EMAIL_PORT),
                secure: true,
                auth: {
                    user: process.env.EMAIL_USER,
                    pass: process.env.EMAIL_PASS
                }
            },
            defaults: {
                from: `"${process.env.EMAIL_SENDER_NAME}" <${process.env.EMAIL_SENDER_MAIL}>`,
            },
            template: {
                dir: `${process.cwd()}`,
                adapter: new HandlebarsAdapter(),
                options: {
                    strict: true
                }
            }
        }),
        SpacesModule,
        UsersModule,
        AuthModule,
        MailSenderModule,
        SiteFrontendModule,
        HomeCmsModule,
        HomeHeroCmsModule,
        HomeProjectCmsModule,
        HomeCompanySloganCmsModule,
        ClientsModule,
        IntegrationsModule,
        AboutSectionTwoCmsModule,
        AboutSectionOneCmsModule,
        AboutSectionThreeCmsModule,
        HireUsCmsModule,
        PortfolioDetailsDiscoverCmsModule,
        ContactPageCmsModule,
        PrivacyPolicyCmsModule,
        ChatbotSectionOneCmsModule,
        ChatbotSectionTwoCmsModule,
        ChatbotPageSectionFourCmsModule,
        ChatbotSectionThreeCmsModule,
        PostPurchaseSectionOneCmsModule,
        PostPurchaseSectionTwoCmsModule,
        PostPurchaseSectionThreeCmsModule,
        PostPurchaseSectionFourCmsModule,
        CheckoutSectionOneCmsModule,
        CheckoutSectionTwoCmsModule,
        CheckoutSectionThreeCmsModule,
        CheckoutSectionFourCmsModule,
        DashboardSectionOneCmsModule,
        DashboardSectionTwoCmsModule,
        StatisticsCmsModule,
        HeaderFooterCmsModule,
        ContactModule,
        CommonPageCmsModule,
        NewsletterCmsModule,
        SocialLinksModule,
        PartnersModule,
        DashboardSectionThreeCmsModule,
        DashboardSectionFourCmsModule,
        NewsletterSubscriptionModule,
        DashboardSectionFiveCmsModule,
        SolutionsModule,
        SolutionTypeDetailsCmsModule,
        ServicesModule,
        SolutionServiceDetailsCmsModule,
        AnalyticsDashboardSectionOneCmsModule,
        AnalyticsDashboardSectionTwoCmsModule,
        AnalyticsDashboardSectionThreeCmsModule,
        AnalyticsDashboardSectionFourCmsModule,
        IntegrationsPageCMSModule,
        AnalyticsDashboardSectionFiveCmsModule,
        IntegrationsPageSectionFourCmsModule,
        IntegrationsPageSectionSixCmsModule,
        AnalyticsDashboardSectionSixCmsModule,
        IntegrationsPageSectionThreeModule,
        AnalyticsDashboardSectionSixModule,
        IntegrationsPageSectionTwoCmsModule,
        IntegrationsPageSectionFiveCmsModule,
        PortfolioModule,
        BookAConsultationPageCmsModule,
        ConsultationModule,
        RobotTextCmsModule,
        SiteMapCmsModule
    ],
    controllers: [AppController],
    providers: [AppService]
})
export class AppModule { }
