import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import { AnalyticsDashboardSectionFiveCmsSchema } from "./schema/analytics-dashboard-section-five-cms.schema";
import { AnalyticsDashboardSectionFiveCmsController } from "./analytics-dashboard-section-five-cms.controller";
import { AnalyticsDashboardSectionFiveCmsService } from "./analytics-dashboard-section-five-cms.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'analytics_dashboard_section_five_cms', schema: AnalyticsDashboardSectionFiveCmsSchema },
        ]),
    ],
    controllers: [AnalyticsDashboardSectionFiveCmsController],
    providers: [AnalyticsDashboardSectionFiveCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class AnalyticsDashboardSectionFiveCmsModule {
}
