import mongoose, { Model, Types } from 'mongoose';
import { AnalyticsDashboardSectionFiveCms } from './schema/analytics-dashboard-section-five-cms.schema';
import { UpdateAnalyticsDashboardSectionFiveCmsDto } from './dto/update-analytics-dashboard-section-five-cms.dto';

export class AnalyticsDashboardSectionFiveCmsRepository<AnalyticsDashboardSectionFiveCmsDocument extends AnalyticsDashboardSectionFiveCms> {
    constructor(private readonly model: Model<AnalyticsDashboardSectionFiveCmsDocument>) { }

    async createEntity(data: UpdateAnalyticsDashboardSectionFiveCmsDto): Promise<AnalyticsDashboardSectionFiveCmsDocument> {
        try {
            const createdEntity = new this.model({
                ...data,
                _id: new Types.ObjectId()
            });
            return await createdEntity.save();
        } catch (err) {
            console.log(err);
        }
    }

    async findOneEntity(id: string): Promise<AnalyticsDashboardSectionFiveCmsDocument | null> {
        if (!mongoose.Types.ObjectId.isValid(id)) {
            return null;
        }
        return await this.model.findOne({ _id: id, isDeleted: false });
    }

    async updateEntity(id: string, data: UpdateAnalyticsDashboardSectionFiveCmsDto): Promise<AnalyticsDashboardSectionFiveCmsDocument | null> {
        try {
            return await this.model.findByIdAndUpdate(id, data, { new: true });
        } catch (err) {
            console.log(err);
        }
    }

    async findAll(): Promise<AnalyticsDashboardSectionFiveCmsDocument[]> {
        return await this.model.find({ isDeleted: false });
    }

    async findOneByFilterQuery(query: any): Promise<AnalyticsDashboardSectionFiveCmsDocument | null> {
        return await this.model.findOne({ ...query, isDeleted: false }).lean();
    }

}