import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import { AnalyticsDashboardSectionFourCmsController } from "./analytics-dashboard-section-four-cms.controller";
import { AnalyticsDashboardSectionFourCmsService } from "./analytics-dashboard-section-four-cms.service";
import { AnalyticsDashboardSectionFourCmsSchema } from "./schema/analytics-dashboard-section-four-cms.schema";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'analytics_dashboard_section_four_cms', schema: AnalyticsDashboardSectionFourCmsSchema },
        ]),
    ],
    controllers: [AnalyticsDashboardSectionFourCmsController],
    providers: [AnalyticsDashboardSectionFourCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class AnalyticsDashboardSectionFourCmsModule {
}
