import mongoose, { Model, Types } from 'mongoose';
import { UpdateAnalyticsDashboardSectionFourCmsDto } from './dto/update-analytics-dashboard-section-four-cms.dto';
import { AnalyticsDashboardSectionFourCms } from './schema/analytics-dashboard-section-four-cms.schema';

export class AnalyticsDashboardSectionFourCmsRepository<AnalyticsDashboardSectionFourCmsDocument extends AnalyticsDashboardSectionFourCms> {
    constructor(private readonly model: Model<AnalyticsDashboardSectionFourCmsDocument>) { }

    async createEntity(data: UpdateAnalyticsDashboardSectionFourCmsDto): Promise<AnalyticsDashboardSectionFourCmsDocument> {
        try {
            const createdEntity = new this.model({
                ...data,
                _id: new Types.ObjectId()
            });
            return await createdEntity.save();
        } catch (err) {
            console.log(err);
        }
    }

    async findOneEntity(id: string): Promise<AnalyticsDashboardSectionFourCmsDocument | null> {
        if (!mongoose.Types.ObjectId.isValid(id)) {
            return null;
        }
        return await this.model.findOne({ _id: id, isDeleted: false });
    }

    async updateEntity(id: string, data: UpdateAnalyticsDashboardSectionFourCmsDto): Promise<AnalyticsDashboardSectionFourCmsDocument | null> {
        try {
            return await this.model.findByIdAndUpdate(id, data, { new: true });
        } catch (err) {
            console.log(err);
        }
    }

    async findAll(): Promise<AnalyticsDashboardSectionFourCmsDocument[]> {
        return await this.model.find({ isDeleted: false });
    }

    async findOneByFilterQuery(query: any): Promise<AnalyticsDashboardSectionFourCmsDocument | null> {
        return await this.model.findOne({ ...query, isDeleted: false }).lean();
    }

}