import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { AnalyticsDashboardSectionOneCmsSchema } from "./schema/analytics-dashboard-section-one-cms.schema";
import { AnalyticsDashboardSectionOneCmsService } from "./analytics-dashboard-section-one-cms.service";
import { AnalyticsDashboardSectionOneCmsController } from "./analytics-dashboard-section-one-cms.controller";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'analytics_dashboard_section_one_cms', schema: AnalyticsDashboardSectionOneCmsSchema },
        ]),
    ],
    controllers: [AnalyticsDashboardSectionOneCmsController],
    providers: [AnalyticsDashboardSectionOneCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class AnalyticsDashboardSectionOneCmsModule {
}
