import mongoose, { Model, Types } from 'mongoose';
import { UpdateAnalyticsDashboardSectionOneCmsDto } from './dto/update-analytics-dashboard-section-one-cms.dto';
import { AnalyticsDashboardSectionOneCms } from './schema/analytics-dashboard-section-one-cms.schema';

export class AnalyticsDashboardSectionOneCmsRepository<AnalyticsDashboardSectionOneCmsDocument extends AnalyticsDashboardSectionOneCms> {
    constructor(private readonly model: Model<AnalyticsDashboardSectionOneCmsDocument>) { }

    async createEntity(data: UpdateAnalyticsDashboardSectionOneCmsDto): Promise<AnalyticsDashboardSectionOneCmsDocument> {
        try {
            const createdEntity = new this.model({
                ...data,
                _id: new Types.ObjectId()
            });
            return await createdEntity.save();
        } catch (err) {
            console.log(err);
        }
    }

    async findOneEntity(id: string): Promise<AnalyticsDashboardSectionOneCmsDocument | null> {
        if (!mongoose.Types.ObjectId.isValid(id)) {
            return null;
        }
        return await this.model.findOne({ _id: id, isDeleted: false });
    }

    async updateEntity(id: string, data: UpdateAnalyticsDashboardSectionOneCmsDto): Promise<AnalyticsDashboardSectionOneCmsDocument | null> {
        try {
            return await this.model.findByIdAndUpdate(id, data, { new: true });
        } catch (err) {
            console.log(err);
        }
    }
    
    async findAll(): Promise<AnalyticsDashboardSectionOneCmsDocument[]> {
        return await this.model.find({ isDeleted: false });
    }

    async findOneByFilterQuery(query: any): Promise<AnalyticsDashboardSectionOneCmsDocument | null> {
        return await this.model.findOne({ ...query, isDeleted: false }).lean();
    }

}