import { Body, Controller, Get, HttpCode, HttpStatus, Post, UploadedFiles, UseGuards, UseInterceptors } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { AnalyticsDashboardSectionSixCmsService } from "./analytics-dashboard-section-six-cms.service";
import { UpdateAnalyticsDashboardSectionSixCmsDto } from "./dto/update-analytics-dashboard-section-six-cms.dto";


@Controller({ path: "analytics-dashboard-section-six-cms", version: Constants.API_VERSION_1 })

export class AnalyticsDashboardSectionSixCmsController {
    constructor(private readonly service: AnalyticsDashboardSectionSixCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateAnalyticsDashboardSectionSixCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    findAll() {
        return this.service.findAll();
    }
}
