import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import { AnalyticsDashboardSectionSixCmsSchema } from "./schema/analytics-dashboard-section-six-cms.schema";
import { AnalyticsDashboardSectionSixCmsController } from "./analytics-dashboard-section-six-cms.controller";
import { AnalyticsDashboardSectionSixCmsService } from "./analytics-dashboard-section-six-cms.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'analytics_dashboard_section_six_cms', schema: AnalyticsDashboardSectionSixCmsSchema },
        ]),
    ],
    controllers: [AnalyticsDashboardSectionSixCmsController],
    providers: [AnalyticsDashboardSectionSixCmsService, JwtHelper]
})
export class AnalyticsDashboardSectionSixCmsModule {
}
