import mongoose, { Model, Types } from 'mongoose';
import { UpdateAnalyticsDashboardSectionSixCmsDto } from './dto/update-analytics-dashboard-section-six-cms.dto';
import { AnalyticsDashboardSectionSixCms } from './schema/analytics-dashboard-section-six-cms.schema';

export class AnalyticsDashboardSectionSixCmsRepository<AnalyticsDashboardSectionSixCmsDocument extends AnalyticsDashboardSectionSixCms> {
    constructor(private readonly model: Model<AnalyticsDashboardSectionSixCmsDocument>) { }

    async createEntity(data: UpdateAnalyticsDashboardSectionSixCmsDto): Promise<AnalyticsDashboardSectionSixCmsDocument> {
        try {
            const createdEntity = new this.model({
                ...data,
                _id: new Types.ObjectId()
            });
            return await createdEntity.save();
        } catch (err) {
            console.log(err);
        }
    }

    async findOneEntity(id: string): Promise<AnalyticsDashboardSectionSixCmsDocument | null> {
        if (!mongoose.Types.ObjectId.isValid(id)) {
            return null;
        }
        return await this.model.findOne({ _id: id, isDeleted: false });
    }

    async updateEntity(id: string, data: UpdateAnalyticsDashboardSectionSixCmsDto): Promise<AnalyticsDashboardSectionSixCmsDocument | null> {
        try {
            return await this.model.findByIdAndUpdate(id, data, { new: true });
        } catch (err) {
            console.log(err);
        }
    }

    async findAll(): Promise<AnalyticsDashboardSectionSixCmsDocument[]> {
        return await this.model.find({ isDeleted: false });
    }

    async findOneByFilterQuery(query: any): Promise<AnalyticsDashboardSectionSixCmsDocument | null> {
        return await this.model.findOne({ ...query, isDeleted: false }).lean();
    }

}