import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import { AnalyticsDashboardSectionSixController } from "./analytics-dashboard-section-six.controller";
import { AnalyticsDashboardSectionSixService } from "./analytics-dashboard-section-six.service";
import { AnalyticsDashboardSectionSixSchema } from "./schema/analytics-dashboard-section-six.schema";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([{ name: 'Users', schema: UsersSchema },
        { name: 'analytic_dashboard_section_six', schema: AnalyticsDashboardSectionSixSchema }]),
    ],
    controllers: [AnalyticsDashboardSectionSixController],
    providers: [AnalyticsDashboardSectionSixService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class AnalyticsDashboardSectionSixModule {
}
