import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { AnalyticsDashboardSectionThreeCmsSchema } from "./schema/analytics-dashboard-section-three-cms.schema";
import { AnalyticsDashboardSectionThreeCmsController } from "./analytics-dashboard-section-three-cms.controller";
import { AnalyticsDashboardSectionThreeCmsService } from "./analytics-dashboard-section-three-cms.service";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'analytics_dashboard_section_three_cms', schema: AnalyticsDashboardSectionThreeCmsSchema },
        ]),
    ],
    controllers: [AnalyticsDashboardSectionThreeCmsController],
    providers: [AnalyticsDashboardSectionThreeCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class AnalyticsDashboardSectionThreeCmsModule {
}
