import mongoose, { Model, Types } from 'mongoose';
import { AnalyticsDashboardSectionThreeCms } from './schema/analytics-dashboard-section-three-cms.schema';
import { UpdateAnalyticsDashboardSectionThreeCmsDto } from './dto/update-analytics-dashboard-section-three-cms.dto';

export class AnalyticsDashboardSectionThreeCmsRepository<AnalyticsDashboardSectionThreeCmsDocument extends AnalyticsDashboardSectionThreeCms> {
    constructor(private readonly model: Model<AnalyticsDashboardSectionThreeCmsDocument>) { }

    async createEntity(data: UpdateAnalyticsDashboardSectionThreeCmsDto): Promise<AnalyticsDashboardSectionThreeCmsDocument> {
        try {
            const createdEntity = new this.model({
                ...data,
                _id: new Types.ObjectId()
            });
            return await createdEntity.save();
        } catch (err) {
            console.log(err);
        }
    }

    async findOneEntity(id: string): Promise<AnalyticsDashboardSectionThreeCmsDocument | null> {
        if (!mongoose.Types.ObjectId.isValid(id)) {
            return null;
        }
        return await this.model.findOne({ _id: id, isDeleted: false });
    }

    async updateEntity(id: string, data: UpdateAnalyticsDashboardSectionThreeCmsDto): Promise<AnalyticsDashboardSectionThreeCmsDocument | null> {
        try {
            return await this.model.findByIdAndUpdate(id, data, { new: true });
        } catch (err) {
            console.log(err);
        }
    }
    
    async findAll(): Promise<AnalyticsDashboardSectionThreeCmsDocument[]> {
        return await this.model.find({ isDeleted: false });
    }

    async findOneByFilterQuery(query: any): Promise<AnalyticsDashboardSectionThreeCmsDocument | null> {
        return await this.model.findOne({ ...query, isDeleted: false }).lean();
    }

}