import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { AnalyticsDashboardSectionTwoCmsSchema } from "./schema/analytics-dashboard-section-two-cms.schema";
import { AnalyticsDashboardSectionTwoCmsController } from "./analytics-dashboard-section-two-cms.controller";
import { AnalyticsDashboardSectionTwoCmsService } from "./analytics-dashboard-section-two-cms.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'analytics_dashboard_section_two_cms', schema: AnalyticsDashboardSectionTwoCmsSchema },
        ]),
    ],
    controllers: [AnalyticsDashboardSectionTwoCmsController],
    providers: [AnalyticsDashboardSectionTwoCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class AnalyticsDashboardSectionTwoCmsModule {
}
