import mongoose, { Model, Types } from 'mongoose';
import { UpdateAnalyticsDashboardSectionTwoCmsDto } from './dto/update-analytics-dashboard-section-two-cms.dto';
import { AnalyticsDashboardSectionTwoCms } from './schema/analytics-dashboard-section-two-cms.schema';

export class AnalyticsDashboardSectionTwoCmsRepository<AnalyticsDashboardSectionTwoCmsDocument extends AnalyticsDashboardSectionTwoCms> {
    constructor(private readonly model: Model<AnalyticsDashboardSectionTwoCmsDocument>) { }

    async createEntity(data: UpdateAnalyticsDashboardSectionTwoCmsDto): Promise<AnalyticsDashboardSectionTwoCmsDocument> {
        try {
            const createdEntity = new this.model({
                ...data,
                _id: new Types.ObjectId()
            });
            return await createdEntity.save();
        } catch (err) {
            console.log(err);
        }
    }

    async findOneEntity(id: string): Promise<AnalyticsDashboardSectionTwoCmsDocument | null> {
        if (!mongoose.Types.ObjectId.isValid(id)) {
            return null;
        }
        return await this.model.findOne({ _id: id, isDeleted: false });
    }

    async updateEntity(id: string, data: UpdateAnalyticsDashboardSectionTwoCmsDto): Promise<AnalyticsDashboardSectionTwoCmsDocument | null> {
        try {
            return await this.model.findByIdAndUpdate(id, data, { new: true });
        } catch (err) {
            console.log(err);
        }
    }
    
    async findAll(): Promise<AnalyticsDashboardSectionTwoCmsDocument[]> {
        return await this.model.find({ isDeleted: false });
    }

    async findOneByFilterQuery(query: any): Promise<AnalyticsDashboardSectionTwoCmsDocument | null> {
        return await this.model.findOne({ ...query, isDeleted: false }).lean();
    }

}