import { Controller, Get, Post, Body, UseGuards } from '@nestjs/common';
import { AboutSectionThreeCmsService } from './about-section-three-cms.service';
import { UpdateAboutSectionThreeDto } from './dto/update-about-section-three-cms.dto';
import { Constants } from 'src/utils/constants';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';

@Controller({ path: "about-section-three-cms", version: Constants.API_VERSION_1 })
export class AboutSectionThreeCmsController {
    constructor(private readonly aboutSectionThreeCmsService: AboutSectionThreeCmsService) { }

    @Post()
    @UseGuards(AdminAuthGuard)
    async updateOrCreateData(@Body() dto: UpdateAboutSectionThreeDto) {
        return await this.aboutSectionThreeCmsService.updateOrCreateData(dto);
    }

    @Get()
    async findAll() {
        return await this.aboutSectionThreeCmsService.findAll();
    }
}
