import { Module } from '@nestjs/common';
import { AboutSectionThreeCmsService } from './about-section-three-cms.service';
import { AboutSectionThreeCmsController } from './about-section-three-cms.controller';
import { MongooseModule } from '@nestjs/mongoose';
import { AboutSectionThreeCmsSchema } from './schema/about-section-three-cms.schema';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import { UsersSchema } from 'src/modules/CRUD/users/schema/users.schema';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'about_section_three_cms', schema: AboutSectionThreeCmsSchema }
        ])
    ],
    controllers: [AboutSectionThreeCmsController],
    providers: [AboutSectionThreeCmsService, JwtHelper]
})
export class AboutSectionThreeCmsModule {}
