import { Controller, Get, Post, Body, UseGuards } from '@nestjs/common';
import { AboutSectionTwoCmsService } from './about-section-two-cms.service';
import { UpdateAboutSectionTwoDto } from './dto/update-about-section-two-cms.dto';
import { Constants } from 'src/utils/constants';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';

@Controller({ path: "about-section-two-cms", version: Constants.API_VERSION_1 })
export class AboutSectionTwoCmsController {
    constructor(private readonly aboutSectionTwoCmsService: AboutSectionTwoCmsService) { }

    @Post()
    @UseGuards(AdminAuthGuard)
    async updateOrCreateData(@Body() dto: UpdateAboutSectionTwoDto) {
        return await this.aboutSectionTwoCmsService.updateOrCreateData(dto);
    }

    @Get()
    async findAll() {
        return await this.aboutSectionTwoCmsService.findAll();
    }
}
