import { Module } from '@nestjs/common';
import { AboutSectionTwoCmsService } from './about-section-two-cms.service';
import { AboutSectionTwoCmsController } from './about-section-two-cms.controller';
import { MongooseModule } from '@nestjs/mongoose';
import { AboutSectionTwoCmsSchema } from './schema/about-section-two-cms.schema';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import { UsersSchema } from 'src/modules/CRUD/users/schema/users.schema';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'about_section_two_cms', schema: AboutSectionTwoCmsSchema }
        ])
    ],
    controllers: [AboutSectionTwoCmsController],
    providers: [AboutSectionTwoCmsService, JwtHelper]
})
export class AboutSectionTwoCmsModule {}
