import { Body, Controller, Get, Post, UseGuards } from '@nestjs/common';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';
import { Constants } from 'src/utils/constants';
import { BookAConsultationPageCmsService } from './book-a-consultation-page-cms.service';
import { UpdateBookAConsultationPageCmsDto } from './dto/update-book-a-consultation-page-cms.dto';

@Controller({ path: "book-a-consultation-page-cms", version: Constants.API_VERSION_1 })
export class BookAConsultationPageCmsController {
    constructor(private readonly homeCmsService: BookAConsultationPageCmsService) { }

    @Post()
    @UseGuards(AdminAuthGuard)
    async updateOrCreateData(@Body() dto: UpdateBookAConsultationPageCmsDto) {
        return await this.homeCmsService.updateOrCreateData(dto);
    }

    @Get()
    async findAll() {
        return await this.homeCmsService.findAll();
    }
}
