import { Module } from '@nestjs/common';
import { JwtModule } from '@nestjs/jwt';
import { MongooseModule } from '@nestjs/mongoose';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersSchema } from 'src/modules/CRUD/users/schema/users.schema';
import { BookAConsultationPageCmsController } from './book-a-consultation-page-cms.controller';
import { BookAConsultationPageCmsService } from './book-a-consultation-page-cms.service';
import { BookAConsultationPageCmsSchema } from './schema/book-a-consultation-page-cms.schema';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'book_a_consultation_page_cms', schema: BookAConsultationPageCmsSchema }
        ])
    ],
    controllers: [BookAConsultationPageCmsController],
    providers: [BookAConsultationPageCmsService, JwtHelper]
})
export class BookAConsultationPageCmsModule { }
