import mongoose, { Model, Types } from 'mongoose';
import { UpdateBookAConsultationPageCmsDto } from './dto/update-book-a-consultation-page-cms.dto';
import { BookAConsultationPageCms } from './schema/book-a-consultation-page-cms.schema';

export class BookAConsultationPageCmsRepository<BookAConsultationPageCmsDocument extends BookAConsultationPageCms> {
    constructor(private readonly model: Model<BookAConsultationPageCmsDocument>) { }

    async createEntity(data: UpdateBookAConsultationPageCmsDto): Promise<BookAConsultationPageCmsDocument> {
        try {
            const createdEntity = new this.model({
                ...data,
                _id: new Types.ObjectId()
            });
            return await createdEntity.save();
        } catch (err) {
            console.log(err);
        }
    }

    async findOneEntity(id: string): Promise<BookAConsultationPageCmsDocument | null> {
        if (!mongoose.Types.ObjectId.isValid(id)) {
            return null;
        }
        return await this.model.findOne({ _id: id, isDeleted: false });
    }

    async updateEntity(id: string, data: UpdateBookAConsultationPageCmsDto): Promise<BookAConsultationPageCmsDocument | null> {
        try {
            return await this.model.findByIdAndUpdate(id, data, { new: true });
        } catch (err) {
            console.log(err);
        }
    }

    async findAll(): Promise<BookAConsultationPageCmsDocument[]> {
        return await this.model.find({ isDeleted: false });
    }

    async findOneByFilterQuery(query: any): Promise<BookAConsultationPageCmsDocument | null> {
        return await this.model.findOne({ ...query, isDeleted: false }).lean();
    }
}