import { Controller, Get, Post, Body, UseGuards } from '@nestjs/common';
import { Constants } from 'src/utils/constants';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';
import { ChatbotPageSectionFourCmsService } from './chatbot-page-section-four-cms.service';
import { UpdateChatbotPageSectionFourCmsDto } from './dto/update-chatbot-page-section-four-cms.dto';

@Controller({ path: "chatbot-section-four-cms", version: Constants.API_VERSION_1 })
export class ChatbotPageSectionFourCmsController {
    constructor(private readonly homeCmsService: ChatbotPageSectionFourCmsService) { }

    @Post()
    @UseGuards(AdminAuthGuard)
    async updateOrCreateData(@Body() dto: UpdateChatbotPageSectionFourCmsDto) {
        return await this.homeCmsService.updateOrCreateData(dto);
    }

    @Get()
    async findAll() {
        return await this.homeCmsService.findAll();
    }
}
