import { Module } from '@nestjs/common';
import { MongooseModule } from '@nestjs/mongoose';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import { UsersSchema } from 'src/modules/CRUD/users/schema/users.schema';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { ChatbotPageSectionFourCmsSchema } from './schema/chatbot-page-section-four-cms.schema';
import { ChatbotPageSectionFourCmsController } from './chatbot-page-section-four-cms.controller';
import { ChatbotPageSectionFourCmsService } from './chatbot-page-section-four-cms.service';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'chatbot_page_section_four_cms', schema: ChatbotPageSectionFourCmsSchema }
        ])
    ],
    controllers: [ChatbotPageSectionFourCmsController],
    providers: [ChatbotPageSectionFourCmsService, JwtHelper]
})
export class ChatbotPageSectionFourCmsModule {}
