import mongoose, { Model, Types } from 'mongoose';
import { ChatbotPageSectionFourCms } from './schema/chatbot-page-section-four-cms.schema';
import { UpdateChatbotPageSectionFourCmsDto } from './dto/update-chatbot-page-section-four-cms.dto';

export class ChatbotPageSectionFourCmsRepository<ChatbotPageSectionFourCmsDocument extends ChatbotPageSectionFourCms> {
    constructor(private readonly model: Model<ChatbotPageSectionFourCmsDocument>) { }

    async createEntity(data: UpdateChatbotPageSectionFourCmsDto): Promise<ChatbotPageSectionFourCmsDocument> {
        try {
            const createdEntity = new this.model({
                ...data,
                _id: new Types.ObjectId()
            });
            return await createdEntity.save();
        } catch (err) {
            console.log(err);
        }
    }

    async findOneEntity(id: string): Promise<ChatbotPageSectionFourCmsDocument | null> {
        if (!mongoose.Types.ObjectId.isValid(id)) {
            return null;
        }
        return await this.model.findOne({ _id: id, isDeleted: false });
    }

    async updateEntity(id: string, data: UpdateChatbotPageSectionFourCmsDto): Promise<ChatbotPageSectionFourCmsDocument | null> {
        try {
            return await this.model.findByIdAndUpdate(id, data, { new: true });
        } catch (err) {
            console.log(err);
        }
    }

    async findAll(): Promise<ChatbotPageSectionFourCmsDocument[]> {
        return await this.model.find({ isDeleted: false });
    }

    async findOneByFilterQuery(query: any): Promise<ChatbotPageSectionFourCmsDocument | null> {
        return await this.model.findOne({ ...query, isDeleted: false }).lean();
    }
}