import { Module } from "@nestjs/common";
import { ChatbotSectionOneCmsService } from "./chatbot-section-one-cms.service";
import { ChatbotSectionOneCmsController } from './chatbot-section-one-cms.controller';
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { ChatbotSectionOneCmsSchema } from './schema/chatbot-section-one-cms.schema';


@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'chatbot_section_one_cms', schema: ChatbotSectionOneCmsSchema },
        ]),
    ],
    controllers: [ChatbotSectionOneCmsController],
    providers: [ChatbotSectionOneCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class ChatbotSectionOneCmsModule {
}
