import mongoose, { Model, Types } from 'mongoose';
import { UpdateChatbotSectionOneCmsDto } from './dto/update-chatbot-section-one-cms.dto';
import { ChatbotSectionOneCms } from './schema/chatbot-section-one-cms.schema';

export class ChatbotSectionOneCmsRepository<ChatbotSectionOneCmsDocument extends ChatbotSectionOneCms> {
    constructor(private readonly model: Model<ChatbotSectionOneCmsDocument>) { }

    async createEntity(data: UpdateChatbotSectionOneCmsDto): Promise<ChatbotSectionOneCmsDocument> {
        try {
            const createdEntity = new this.model({
                ...data,
                _id: new Types.ObjectId()
            });
            return await createdEntity.save();
        } catch (err) {
            console.log(err);
        }
    }

    async findOneEntity(id: string): Promise<ChatbotSectionOneCmsDocument | null> {
        if (!mongoose.Types.ObjectId.isValid(id)) {
            return null;
        }
        return await this.model.findOne({ _id: id, isDeleted: false });
    }

    async updateEntity(id: string, data: UpdateChatbotSectionOneCmsDto): Promise<ChatbotSectionOneCmsDocument | null> {
        try {
            return await this.model.findByIdAndUpdate(id, data, { new: true });
        } catch (err) {
            console.log(err);
        }
    }
    
    async findAll(): Promise<ChatbotSectionOneCmsDocument[]> {
        return await this.model.find({ isDeleted: false });
    }

    async findOneByFilterQuery(query: any): Promise<ChatbotSectionOneCmsDocument | null> {
        return await this.model.findOne({ ...query, isDeleted: false }).lean();
    }

}