import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { ChatbotSectionThreeCmsController } from "./chatbot-section-three-cms.controller";
import { ChatbotSectionThreeCmsService } from "./chatbot-section-three-cms.service";
import { ChatbotSectionThreeCmsSchema } from "./schema/chatbot-section-three-cms.schema";


@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'chatbot_section_three_cms', schema: ChatbotSectionThreeCmsSchema },
        ]),
    ],
    controllers: [ChatbotSectionThreeCmsController],
    providers: [ChatbotSectionThreeCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class ChatbotSectionThreeCmsModule {
}
