import mongoose, { Model, Types } from 'mongoose';
import { UpdateChatbotSectionThreeCmsDto } from './dto/update-chatbot-section-three-cms.dto';
import { ChatbotSectionThreeCms } from './schema/chatbot-section-three-cms.schema';

export class ChatbotSectionThreeCmsRepository<ChatbotSectionThreeCmsDocument extends ChatbotSectionThreeCms> {
    constructor(private readonly model: Model<ChatbotSectionThreeCmsDocument>) { }

    async createEntity(data: UpdateChatbotSectionThreeCmsDto): Promise<ChatbotSectionThreeCmsDocument> {
        try {
            const createdEntity = new this.model({
                ...data,
                _id: new Types.ObjectId()
            });
            return await createdEntity.save();
        } catch (err) {
            console.log(err);
        }
    }

    async findOneEntity(id: string): Promise<ChatbotSectionThreeCmsDocument | null> {
        if (!mongoose.Types.ObjectId.isValid(id)) {
            return null;
        }
        return await this.model.findOne({ _id: id, isDeleted: false });
    }

    async updateEntity(id: string, data: UpdateChatbotSectionThreeCmsDto): Promise<ChatbotSectionThreeCmsDocument | null> {
        try {
            return await this.model.findByIdAndUpdate(id, data, { new: true });
        } catch (err) {
            console.log(err);
        }
    }
    
    async findAll(): Promise<ChatbotSectionThreeCmsDocument[]> {
        return await this.model.find({ isDeleted: false });
    }

    async findOneByFilterQuery(query: any): Promise<ChatbotSectionThreeCmsDocument | null> {
        return await this.model.findOne({ ...query, isDeleted: false }).lean();
    }

}