import { Module } from "@nestjs/common";
import { ChatbotSectionTwoCmsService } from "./chatbot-section-two-cms.service";
import { ChatbotSectionTwoCmsController } from "./chatbot-section-two-cms.controller";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { ChatbotSectionTwoCmsSchema } from "./schema/chatbot-section-two-cms.schema";




@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'chatbot_section_two_cms', schema: ChatbotSectionTwoCmsSchema },
        ]),
    ],
    controllers: [ChatbotSectionTwoCmsController],
    providers: [ChatbotSectionTwoCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class ChatbotSectionTwoCmsModule {
}
