import mongoose, { Model, Types } from 'mongoose';
import { UpdateChatbotSectionTwoCmsDto } from './dto/update-chatbot-section-two-cms.dto';
import { ChatbotSectionTwoCms } from './schema/chatbot-section-two-cms.schema';

export class ChatbotSectionTwoCmsRepository<ChatbotSectionTwoCmsDocument extends ChatbotSectionTwoCms> {
    constructor(private readonly model: Model<ChatbotSectionTwoCmsDocument>) { }

    async createEntity(data: UpdateChatbotSectionTwoCmsDto): Promise<ChatbotSectionTwoCmsDocument> {
        try {
            const createdEntity = new this.model({
                ...data,
                _id: new Types.ObjectId()
            });
            return await createdEntity.save();
        } catch (err) {
            console.log(err);
        }
    }

    async findOneEntity(id: string): Promise<ChatbotSectionTwoCmsDocument | null> {
        if (!mongoose.Types.ObjectId.isValid(id)) {
            return null;
        }
        return await this.model.findOne({ _id: id, isDeleted: false });
    }

    async updateEntity(id: string, data: UpdateChatbotSectionTwoCmsDto): Promise<ChatbotSectionTwoCmsDocument | null> {
        try {
            return await this.model.findByIdAndUpdate(id, data, { new: true });
        } catch (err) {
            console.log(err);
        }
    }
    
    async findAll(): Promise<ChatbotSectionTwoCmsDocument[]> {
        return await this.model.find({ isDeleted: false });
    }

    async findOneByFilterQuery(query: any): Promise<ChatbotSectionTwoCmsDocument | null> {
        return await this.model.findOne({ ...query, isDeleted: false }).lean();
    }

}