import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { CheckoutSectionFourCmsSchema } from "./schema/checkout-section-four-cms.schema";
import { CheckoutSectionFourCmsController } from "./checkout-section-four-cms.controller";
import { CheckoutSectionFourCmsService } from "./checkout-section-four-cms.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'checkout_section_four_cms', schema: CheckoutSectionFourCmsSchema },
        ]),
    ],
    controllers: [CheckoutSectionFourCmsController],
    providers: [CheckoutSectionFourCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class CheckoutSectionFourCmsModule {
}
