import mongoose, { Model, Types } from 'mongoose';
import { UpdateCheckoutSectionFourCmsDto } from './dto/update-checkout-section-four-cms.dto';
import { CheckoutSectionFourCms } from './schema/checkout-section-four-cms.schema';

export class CheckoutSectionFourCmsRepository<CheckoutSectionFourCmsDocument extends CheckoutSectionFourCms> {
    constructor(private readonly model: Model<CheckoutSectionFourCmsDocument>) { }

    async createEntity(data: UpdateCheckoutSectionFourCmsDto): Promise<CheckoutSectionFourCmsDocument> {
        try {
            const createdEntity = new this.model({
                ...data,
                _id: new Types.ObjectId()
            });
            return await createdEntity.save();
        } catch (err) {
            console.log(err);
        }
    }

    async findOneEntity(id: string): Promise<CheckoutSectionFourCmsDocument | null> {
        if (!mongoose.Types.ObjectId.isValid(id)) {
            return null;
        }
        return await this.model.findOne({ _id: id, isDeleted: false });
    }

    async updateEntity(id: string, data: UpdateCheckoutSectionFourCmsDto): Promise<CheckoutSectionFourCmsDocument | null> {
        try {
            return await this.model.findByIdAndUpdate(id, data, { new: true });
        } catch (err) {
            console.log(err);
        }
    }
    
    async findAll(): Promise<CheckoutSectionFourCmsDocument[]> {
        return await this.model.find({ isDeleted: false });
    }

    async findOneByFilterQuery(query: any): Promise<CheckoutSectionFourCmsDocument | null> {
        return await this.model.findOne({ ...query, isDeleted: false }).lean();
    }

}