import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { CheckoutSectionOneCmsSchema } from "./schema/checkout-section-one-cms.schema";
import { CheckoutSectionOneCmsController } from "./checkout-section-one-cms.controller";
import { CheckoutSectionOneCmsService } from "./checkout-section-one-cms.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'checkout_section_one_cms', schema: CheckoutSectionOneCmsSchema },
        ]),
    ],
    controllers: [CheckoutSectionOneCmsController],
    providers: [CheckoutSectionOneCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class CheckoutSectionOneCmsModule {
}
