import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { CheckoutSectionTwoCmsSchema } from "./schema/checkout-section-two-cms.schema";
import { CheckoutSectionTwoCmsController } from "./checkout-section-two-cms.controller";
import { CheckoutSectionTwoCmsService } from "./checkout-section-two-cms.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'checkout_section_two_cms', schema: CheckoutSectionTwoCmsSchema },
        ]),
    ],
    controllers: [CheckoutSectionTwoCmsController],
    providers: [CheckoutSectionTwoCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class CheckoutSectionTwoCmsModule {
}
