import { Controller, Get, Post, Body, UseGuards } from '@nestjs/common';
import { Constants } from 'src/utils/constants';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';
import { CommonPageCmsService } from './common-page-cms.service';
import { UpdateCommonPageCmsDto } from './dto/update-common-page-cms.dto';

@Controller({ path: "common-page-cms", version: Constants.API_VERSION_1 })
export class CommonPageCmsController {
    constructor(private readonly homeCmsService: CommonPageCmsService) { }

    @Post()
    @UseGuards(AdminAuthGuard)
    async updateOrCreateData(@Body() dto: UpdateCommonPageCmsDto) {
        return await this.homeCmsService.updateOrCreateData(dto);
    }

    @Get()
    async findAll() {
        return await this.homeCmsService.findAll();
    }
}
