import { Module } from '@nestjs/common';
import { MongooseModule } from '@nestjs/mongoose';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import { UsersSchema } from 'src/modules/CRUD/users/schema/users.schema';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { CommonPageCmsSchema } from './schema/common-page-cms.schema';
import { CommonPageCmsController } from './common-page-cms.controller';
import { CommonPageCmsService } from './common-page-cms.service';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'common_page_cms', schema: CommonPageCmsSchema }
        ])
    ],
    controllers: [CommonPageCmsController],
    providers: [CommonPageCmsService, JwtHelper]
})
export class CommonPageCmsModule {}
