import { Controller, Get, Post, Body, UseGuards } from '@nestjs/common';
import { Constants } from 'src/utils/constants';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';
import { ContactPageCmsService } from './contact-page-cms.service';
import { UpdateContactPageCmsDto } from './dto/update-contact-page-cms.dto';

@Controller({ path: "contact-page-cms", version: Constants.API_VERSION_1 })
export class ContactPageCmsController {
    constructor(private readonly homeCmsService: ContactPageCmsService) { }

    @Post()
    @UseGuards(AdminAuthGuard)
    async updateOrCreateData(@Body() dto: UpdateContactPageCmsDto) {
        return await this.homeCmsService.updateOrCreateData(dto);
    }

    @Get()
    async findAll() {
        return await this.homeCmsService.findAll();
    }
}
