import { Module } from '@nestjs/common';
import { MongooseModule } from '@nestjs/mongoose';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import { UsersSchema } from 'src/modules/CRUD/users/schema/users.schema';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { ContactPageCmsSchema } from './schema/contact-page-cms.schema';
import { ContactPageCmsController } from './contact-page-cms.controller';
import { ContactPageCmsService } from './contact-page-cms.service';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'contact_page_cms', schema: ContactPageCmsSchema }
        ])
    ],
    controllers: [ContactPageCmsController],
    providers: [ContactPageCmsService, JwtHelper]
})
export class ContactPageCmsModule {}
