import { Module } from "@nestjs/common";
import { HeaderFooterCmsController } from "./header-footer-cms.controller";
import { HeaderFooterCmsService } from "./header-footer-cms.service";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { HeaderFooterCmsSchema } from "./schema/header-footer-cms.schema";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'header_footer_cms', schema: HeaderFooterCmsSchema },
        ]),
    ],
    controllers: [HeaderFooterCmsController],
    providers: [HeaderFooterCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class HeaderFooterCmsModule {
}
