import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class HeaderFooterCms extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    logo: string;

    @Prop({ default: null, nullable: true })
    address: string;

    @Prop({ default: null, nullable: true })
    buttonOneText: string;

    @Prop({ default: null, nullable: true })
    buttonOneLink: string;

    @Prop({ default: null, nullable: true })
    buttonTwoText: string;

    @Prop({ default: null, nullable: true })
    buttonTwoLink: string;

    @Prop({ default: null, nullable: true })
    headerButtonText: string;

    @Prop({ default: null, nullable: true })
    headerButtonLink: string;
}

export const HeaderFooterCmsSchema = SchemaFactory.createForClass(HeaderFooterCms);