import { Controller, Get, Post, Body, UseGuards } from '@nestjs/common';
import { Constants } from 'src/utils/constants';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';
import { HireUsCmsService } from './hire-us-cms.service';
import { UpdateHireUsCmsDto } from './dto/update-hire-us-cms.dto';

@Controller({ path: "hire-us-cms", version: Constants.API_VERSION_1 })
export class HireUsCmsController {
    constructor(private readonly homeCmsService: HireUsCmsService) { }

    @Post()
    @UseGuards(AdminAuthGuard)
    async updateOrCreateData(@Body() dto: UpdateHireUsCmsDto) {
        return await this.homeCmsService.updateOrCreateData(dto);
    }

    @Get()
    async findAll() {
        return await this.homeCmsService.findAll();
    }
}
