import { Module } from '@nestjs/common';
import { MongooseModule } from '@nestjs/mongoose';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import { UsersSchema } from 'src/modules/CRUD/users/schema/users.schema';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { HireUsCmsSchema } from './schema/hire-us-cms.schema';
import { HireUsCmsController } from './hire-us-cms.controller';
import { HireUsCmsService } from './hire-us-cms.service';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'hire_us_cms', schema: HireUsCmsSchema }
        ])
    ],
    controllers: [HireUsCmsController],
    providers: [HireUsCmsService, JwtHelper]
})
export class HireUsCmsModule {}
