import { Controller, Get, Post, Body, UseGuards } from '@nestjs/common';
import { HomeCmsService } from './home-cms.service';
import { UpdateHomeCmDto } from './dto/update-home-cms.dto';
import { Constants } from 'src/utils/constants';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';

@Controller({ path: "home-cms", version: Constants.API_VERSION_1 })
export class HomeCmsController {
    constructor(private readonly homeCmsService: HomeCmsService) { }

    @Post()
    @UseGuards(AdminAuthGuard)
    async updateOrCreateData(@Body() dto: UpdateHomeCmDto) {
        return await this.homeCmsService.updateOrCreateData(dto);
    }

    @Get()
    async findAll() {
        return await this.homeCmsService.findAll();
    }
}
