import { Module } from '@nestjs/common';
import { HomeCmsService } from './home-cms.service';
import { HomeCmsController } from './home-cms.controller';
import { MongooseModule } from '@nestjs/mongoose';
import { HomeCmsSchema } from './schema/home-cms.schema';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import { UsersSchema } from 'src/modules/CRUD/users/schema/users.schema';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'home_cms', schema: HomeCmsSchema }
        ])
    ],
    controllers: [HomeCmsController],
    providers: [HomeCmsService, JwtHelper]
})
export class HomeCmsModule {}
