import { Body, Controller, Get, HttpCode, HttpStatus, Post, UploadedFiles, UseGuards, UseInterceptors } from "@nestjs/common";
import { FileFieldsInterceptor } from "@nestjs/platform-express";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { UploadedMulterFileI } from "src/modules/SpacesModule/SpacesService";
import { Constants } from "src/utils/constants";
import { UpdateHomeCompanySloganCmsDto } from "./dto/update-home-company-slogan-cms.dto";
import { HomeCompanySloganCmsService } from "./home-company-slogan-cms.service";

@Controller({ path: "home-compnay-slogan-cms", version: Constants.API_VERSION_1 })

export class HomeCompanySloganCmsController {
    constructor(private readonly service: HomeCompanySloganCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    @UseInterceptors(FileFieldsInterceptor(
        [
            { name: "image", maxCount: 1 },

        ]
    ))
    updateOrCreateData(
        @Body() dto: UpdateHomeCompanySloganCmsDto,
        @UploadedFiles() files: {
            image?: UploadedMulterFileI
        }
    ) {
        return this.service.updateOrCreateData(dto, files);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
