import { Module } from "@nestjs/common";
import { HomeCompanySloganCmsService } from "./home-company-slogan-cms.service";
import { HomeCompanySloganCmsController } from './home-company-slogan-cms.controller';
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { HomeCompanySloganCmsSchema } from './schema/home-company-slogan-cms.schema';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'home_company_slogan_cms', schema: HomeCompanySloganCmsSchema },
        ]),
    ],
    controllers: [HomeCompanySloganCmsController],
    providers: [HomeCompanySloganCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class HomeCompanySloganCmsModule {
}
