import { Controller, Get, Post, Body, UseGuards } from '@nestjs/common';
import { HomeHeroCmsService } from './home-hero-cms.service';
import { UpdateHomeHeroCmDto } from './dto/update-home-hero-cms.dto';
import { Constants } from 'src/utils/constants';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';

@Controller({ path: "home-hero-cms", version: Constants.API_VERSION_1 })
export class HomeHeroCmsController {
    constructor(private readonly homeHeroCmsService: HomeHeroCmsService) { }

    @Post()
    @UseGuards(AdminAuthGuard)
    async updateOrCreateData(@Body() dto: UpdateHomeHeroCmDto) {
        return await this.homeHeroCmsService.updateOrCreateData(dto);
    }

    @Get()
    async findAll() {
        return await this.homeHeroCmsService.findAll();
    }
}
