import { Module } from '@nestjs/common';
import { HomeHeroCmsService } from './home-hero-cms.service';
import { HomeHeroCmsController } from './home-hero-cms.controller';
import { MongooseModule } from '@nestjs/mongoose';
import { HomeHeroCmsSchema } from './schema/home-hero-cms.schema';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import { UsersSchema } from 'src/modules/CRUD/users/schema/users.schema';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'home_hero_cms', schema: HomeHeroCmsSchema }
        ])
    ],
    controllers: [HomeHeroCmsController],
    providers: [HomeHeroCmsService, JwtHelper]
})
export class HomeHeroCmsModule {}
