import { Controller, Get, Post, Body, UseGuards } from '@nestjs/common';
import { HomeProjectCmsService } from './home-project-cms.service';
import { UpdateHomeProjectCmDto } from './dto/update-home-project-cms.dto';
import { Constants } from 'src/utils/constants';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';

@Controller({ path: "home-project-cms", version: Constants.API_VERSION_1 })
export class HomeProjectCmsController {
    constructor(private readonly homeProjectCmsService: HomeProjectCmsService) { }

    @Post()
    @UseGuards(AdminAuthGuard)
    async updateOrCreateData(@Body() dto: UpdateHomeProjectCmDto) {
        return await this.homeProjectCmsService.updateOrCreateData(dto);
    }

    @Get()
    async findAll() {
        return await this.homeProjectCmsService.findAll();
    }
}
