import { Module } from '@nestjs/common';
import { HomeProjectCmsService } from './home-project-cms.service';
import { HomeProjectCmsController } from './home-project-cms.controller';
import { MongooseModule } from '@nestjs/mongoose';
import { HomeProjectCmsSchema } from './schema/home-project-cms.schema';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import { UsersSchema } from 'src/modules/CRUD/users/schema/users.schema';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'home_project_cms', schema: HomeProjectCmsSchema }
        ])
    ],
    controllers: [HomeProjectCmsController],
    providers: [HomeProjectCmsService, JwtHelper]
})
export class HomeProjectCmsModule {}
