import { Module } from '@nestjs/common';
import { JwtModule } from '@nestjs/jwt';
import { MongooseModule } from '@nestjs/mongoose';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersSchema } from 'src/modules/CRUD/users/schema/users.schema';
import { IntegrationsPageCMSController } from './integrations-page-cms.controller';
import { IntegrationsPageCMSService } from './integrations-page-cms.service';
import { IntegrationsPageCMSSchema } from './schema/integrations-page-cms.schema';
import { DoSpacesService } from 'src/modules/SpacesModule/SpacesService/doSpacesService';
import { DoSpacesServicerovider } from 'src/modules/SpacesModule/SpacesService';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'integrations_page_cms', schema: IntegrationsPageCMSSchema }
        ])
    ],
    controllers: [IntegrationsPageCMSController],
    providers: [IntegrationsPageCMSService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class IntegrationsPageCMSModule { }
