import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import { IntegrationsPageSectionFiveCmsController } from "./integrations-page-section-five-cms.controller";
import { IntegrationsPageSectionFiveCmsService } from "./integrations-page-section-five-cms.service";
import { IntegrationsPageSectionFiveCmsSchema } from "./schema/integrations-page-section-five-cms.schema";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'integrations_page_section_five_cms', schema: IntegrationsPageSectionFiveCmsSchema },
        ]),
    ],
    controllers: [IntegrationsPageSectionFiveCmsController],
    providers: [IntegrationsPageSectionFiveCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class IntegrationsPageSectionFiveCmsModule {
}
