import mongoose, { Model, Types } from 'mongoose';
import { UpdateIntegrationsPageSectionFiveCmsDto } from './dto/update-integrations-page-section-five-cms.dto';
import { IntegrationsPageSectionFiveCms } from './schema/integrations-page-section-five-cms.schema';

export class IntegrationsPageSectionFiveCmsRepository<IntegrationsPageSectionFiveCmsDocument extends IntegrationsPageSectionFiveCms> {
    constructor(private readonly model: Model<IntegrationsPageSectionFiveCmsDocument>) { }

    async createEntity(data: UpdateIntegrationsPageSectionFiveCmsDto): Promise<IntegrationsPageSectionFiveCmsDocument> {
        try {
            const createdEntity = new this.model({
                ...data,
                _id: new Types.ObjectId()
            });
            return await createdEntity.save();
        } catch (err) {
            console.log(err);
        }
    }

    async findOneEntity(id: string): Promise<IntegrationsPageSectionFiveCmsDocument | null> {
        if (!mongoose.Types.ObjectId.isValid(id)) {
            return null;
        }
        return await this.model.findOne({ _id: id, isDeleted: false });
    }

    async updateEntity(id: string, data: UpdateIntegrationsPageSectionFiveCmsDto): Promise<IntegrationsPageSectionFiveCmsDocument | null> {
        try {
            return await this.model.findByIdAndUpdate(id, data, { new: true });
        } catch (err) {
            console.log(err);
        }
    }

    async findAll(): Promise<IntegrationsPageSectionFiveCmsDocument[]> {
        return await this.model.find({ isDeleted: false });
    }

    async findOneByFilterQuery(query: any): Promise<IntegrationsPageSectionFiveCmsDocument | null> {
        return await this.model.findOne({ ...query, isDeleted: false }).lean();
    }

}