import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import { IntegrationsPageSectionFourCmsController } from "./integrations-page-section-four-cms.controller";
import { IntegrationsPageSectionFourCmsService } from "./integrations-page-section-four-cms.service";
import { IntegrationsPageSectionFourCmsSchema } from "./schema/integrations-page-section-four-cms.schema";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'integrations_page_section_four_cms', schema: IntegrationsPageSectionFourCmsSchema },
        ]),
    ],
    controllers: [IntegrationsPageSectionFourCmsController],
    providers: [IntegrationsPageSectionFourCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class IntegrationsPageSectionFourCmsModule {
}
