import mongoose, { Model, Types } from 'mongoose';
import { UpdateIntegrationsPageSectionFourCmsDto } from './dto/update-integrations-page-section-four-cms.dto';
import { IntegrationsPageSectionFourCms } from './schema/integrations-page-section-four-cms.schema';

export class IntegrationsPageSectionFourCmsRepository<IntegrationsPageSectionFourCmsDocument extends IntegrationsPageSectionFourCms> {
    constructor(private readonly model: Model<IntegrationsPageSectionFourCmsDocument>) { }

    async createEntity(data: UpdateIntegrationsPageSectionFourCmsDto): Promise<IntegrationsPageSectionFourCmsDocument> {
        try {
            const createdEntity = new this.model({
                ...data,
                _id: new Types.ObjectId()
            });
            return await createdEntity.save();
        } catch (err) {
            console.log(err);
        }
    }

    async findOneEntity(id: string): Promise<IntegrationsPageSectionFourCmsDocument | null> {
        if (!mongoose.Types.ObjectId.isValid(id)) {
            return null;
        }
        return await this.model.findOne({ _id: id, isDeleted: false });
    }

    async updateEntity(id: string, data: UpdateIntegrationsPageSectionFourCmsDto): Promise<IntegrationsPageSectionFourCmsDocument | null> {
        try {
            return await this.model.findByIdAndUpdate(id, data, { new: true });
        } catch (err) {
            console.log(err);
        }
    }

    async findAll(): Promise<IntegrationsPageSectionFourCmsDocument[]> {
        return await this.model.find({ isDeleted: false });
    }

    async findOneByFilterQuery(query: any): Promise<IntegrationsPageSectionFourCmsDocument | null> {
        return await this.model.findOne({ ...query, isDeleted: false }).lean();
    }

}