import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import { IntegrationsPageSectionSixCmsController } from "./integrations-page-section-six-cms.controller";
import { IntegrationsPageSectionSixCmsService } from "./integrations-page-section-six-cms.service";
import { IntegrationsPageSectionSixCmsSchema } from "./schema/integrations-page-section-six-cms.schema";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'integrations_page_section_six_cms', schema: IntegrationsPageSectionSixCmsSchema },
        ]),
    ],
    controllers: [IntegrationsPageSectionSixCmsController],
    providers: [IntegrationsPageSectionSixCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class IntegrationsPageSectionSixCmsModule {
}
