import mongoose, { Model, Types } from 'mongoose';
import { UpdateIntegrationsPageSectionSixCmsDto } from './dto/update-integrations-page-section-six-cms.dto';
import { IntegrationsPageSectionSixCms } from './schema/integrations-page-section-six-cms.schema';

export class IntegrationsPageSectionSixCmsRepository<IntegrationsPageSectionSixCmsDocument extends IntegrationsPageSectionSixCms> {
    constructor(private readonly model: Model<IntegrationsPageSectionSixCmsDocument>) { }

    async createEntity(data: UpdateIntegrationsPageSectionSixCmsDto): Promise<IntegrationsPageSectionSixCmsDocument> {
        try {
            const createdEntity = new this.model({
                ...data,
                _id: new Types.ObjectId()
            });
            return await createdEntity.save();
        } catch (err) {
            console.log(err);
        }
    }

    async findOneEntity(id: string): Promise<IntegrationsPageSectionSixCmsDocument | null> {
        if (!mongoose.Types.ObjectId.isValid(id)) {
            return null;
        }
        return await this.model.findOne({ _id: id, isDeleted: false });
    }

    async updateEntity(id: string, data: UpdateIntegrationsPageSectionSixCmsDto): Promise<IntegrationsPageSectionSixCmsDocument | null> {
        try {
            return await this.model.findByIdAndUpdate(id, data, { new: true });
        } catch (err) {
            console.log(err);
        }
    }

    async findAll(): Promise<IntegrationsPageSectionSixCmsDocument[]> {
        return await this.model.find({ isDeleted: false });
    }

    async findOneByFilterQuery(query: any): Promise<IntegrationsPageSectionSixCmsDocument | null> {
        return await this.model.findOne({ ...query, isDeleted: false }).lean();
    }

}