import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersSchema } from "src/modules/CRUD/users/schema/users.schema";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { IntegrationsPageSectionThreeController } from "./integrations-page-section-three.controller";
import { IntegrationsPageSectionThreeService } from "./integrations-page-section-three.service";
import { IntegrationsPageSectionThreeSchema } from "./schema/integrations-page-section-three.schema";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'integrations_page_section_three', schema: IntegrationsPageSectionThreeSchema }
        ]),
    ],
    controllers: [IntegrationsPageSectionThreeController],
    providers: [IntegrationsPageSectionThreeService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class IntegrationsPageSectionThreeModule { }
