import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import { IntegrationsPageSectionTwoCmsController } from "./integrations-page-section-two-cms.controller";
import { IntegrationsPageSectionTwoCmsService } from "./integrations-page-section-two-cms.service";
import { IntegrationsPageSectionTwoCmsSchema } from "./schema/integrations-page-section-two-cms.schema";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'integrations_page_section_two_cms', schema: IntegrationsPageSectionTwoCmsSchema },
        ]),
    ],
    controllers: [IntegrationsPageSectionTwoCmsController],
    providers: [IntegrationsPageSectionTwoCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class IntegrationsPageSectionTwoCmsModule {
}
