import mongoose, { Model, Types } from 'mongoose';
import { UpdateIntegrationsPageSectionTwoCmsDto } from './dto/update-integrations-page-section-two-cms.dto';
import { IntegrationsPageSectionTwoCms } from './schema/integrations-page-section-two-cms.schema';

export class IntegrationsPageSectionTwoCmsRepository<IntegrationsPageSectionTwoCmsDocument extends IntegrationsPageSectionTwoCms> {
    constructor(private readonly model: Model<IntegrationsPageSectionTwoCmsDocument>) { }

    async createEntity(data: UpdateIntegrationsPageSectionTwoCmsDto): Promise<IntegrationsPageSectionTwoCmsDocument> {
        try {
            const createdEntity = new this.model({
                ...data,
                _id: new Types.ObjectId()
            });
            return await createdEntity.save();
        } catch (err) {
            console.log(err);
        }
    }

    async findOneEntity(id: string): Promise<IntegrationsPageSectionTwoCmsDocument | null> {
        if (!mongoose.Types.ObjectId.isValid(id)) {
            return null;
        }
        return await this.model.findOne({ _id: id, isDeleted: false });
    }

    async updateEntity(id: string, data: UpdateIntegrationsPageSectionTwoCmsDto): Promise<IntegrationsPageSectionTwoCmsDocument | null> {
        try {
            return await this.model.findByIdAndUpdate(id, data, { new: true });
        } catch (err) {
            console.log(err);
        }
    }

    async findAll(): Promise<IntegrationsPageSectionTwoCmsDocument[]> {
        return await this.model.find({ isDeleted: false });
    }

    async findOneByFilterQuery(query: any): Promise<IntegrationsPageSectionTwoCmsDocument | null> {
        return await this.model.findOne({ ...query, isDeleted: false }).lean();
    }

}