import { Controller, Get, Post, Body, UseGuards } from '@nestjs/common';
import { Constants } from 'src/utils/constants';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';
import { NewsletterCmsService } from './newsletter-cms.service';
import { UpdateNewsletterCmDto } from './dto/update-newsletter-cms.dto';

@Controller({ path: "newsletter-cms", version: Constants.API_VERSION_1 })
export class NewsletterCmsController {
    constructor(private readonly service: NewsletterCmsService) { }

    @Post()
    @UseGuards(AdminAuthGuard)
    async updateOrCreateData(@Body() dto: UpdateNewsletterCmDto) {
        return await this.service.updateOrCreateData(dto);
    }

    @Get()
    async findAll() {
        return await this.service.findAll();
    }
}
