import { Module } from '@nestjs/common';
import { MongooseModule } from '@nestjs/mongoose';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import { UsersSchema } from 'src/modules/CRUD/users/schema/users.schema';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { NewsletterCmsController } from './newsletter-cms.controller';
import { NewsletterCmsService } from './newsletter-cms.service';
import { NewsletterCmsSchema } from './schema/newsletter-cms.schema';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'newsletter_cms', schema: NewsletterCmsSchema }
        ])
    ],
    controllers: [NewsletterCmsController],
    providers: [NewsletterCmsService, JwtHelper]
})
export class NewsletterCmsModule {}
