import { Controller, Get, Post, Body, UseGuards } from '@nestjs/common';
import { PortfolioDetailsDiscoverCmsService } from './portfolio-details-discover-cms.service';
import { UpdatePortfolioDetailsDiscoverDto } from './dto/update-portfolio-details-discover-cms.dto';
import { Constants } from 'src/utils/constants';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';

@Controller({ path: "portfolio-details-discover-cms", version: Constants.API_VERSION_1 })
export class PortfolioDetailsDiscoverCmsController {
    constructor(private readonly portfolioDetailsDiscoverCmsService: PortfolioDetailsDiscoverCmsService) { }

    @Post()
    @UseGuards(AdminAuthGuard)
    async updateOrCreateData(@Body() dto: UpdatePortfolioDetailsDiscoverDto) {
        return await this.portfolioDetailsDiscoverCmsService.updateOrCreateData(dto);
    }

    @Get()
    async findAll() {
        return await this.portfolioDetailsDiscoverCmsService.findAll();
    }
}
