import { Module } from '@nestjs/common';
import { PortfolioDetailsDiscoverCmsService } from './portfolio-details-discover-cms.service';
import { PortfolioDetailsDiscoverCmsController } from './portfolio-details-discover-cms.controller';
import { MongooseModule } from '@nestjs/mongoose';
import { PortfolioDetailsDiscoverCmsSchema } from './schema/portfolio-details-discover-cms.schema';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import { UsersSchema } from 'src/modules/CRUD/users/schema/users.schema';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'portfolio_details_discover_cms', schema: PortfolioDetailsDiscoverCmsSchema }
        ])
    ],
    controllers: [PortfolioDetailsDiscoverCmsController],
    providers: [PortfolioDetailsDiscoverCmsService, JwtHelper]
})
export class PortfolioDetailsDiscoverCmsModule {}
