import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { PostPurchaseSectionFourCmsController } from "./post-purchase-section-four-cms.controller";
import { PostPurchaseSectionFourCmsService } from "./post-purchase-section-four-cms.service";
import { PostPurchaseSectionFourCmsSchema } from "./schema/post-purchase-section-four-cms.schema";


@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'post_purchase_section_four_cms', schema: PostPurchaseSectionFourCmsSchema },
        ]),
    ],
    controllers: [PostPurchaseSectionFourCmsController],
    providers: [PostPurchaseSectionFourCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class PostPurchaseSectionFourCmsModule {
}
