import mongoose, { Model, Types } from 'mongoose';
import { UpdatePostPurchaseSectionFourCmsDto } from './dto/update-post-purchase-section-four-cms.dto';
import { PostPurchaseSectionFourCms } from './schema/post-purchase-section-four-cms.schema';

export class PostPurchaseSectionFourCmsRepository<PostPurchaseSectionFourCmsDocument extends PostPurchaseSectionFourCms> {
    constructor(private readonly model: Model<PostPurchaseSectionFourCmsDocument>) { }

    async createEntity(data: UpdatePostPurchaseSectionFourCmsDto): Promise<PostPurchaseSectionFourCmsDocument> {
        try {
            const createdEntity = new this.model({
                ...data,
                _id: new Types.ObjectId()
            });
            return await createdEntity.save();
        } catch (err) {
            console.log(err);
        }
    }

    async findOneEntity(id: string): Promise<PostPurchaseSectionFourCmsDocument | null> {
        if (!mongoose.Types.ObjectId.isValid(id)) {
            return null;
        }
        return await this.model.findOne({ _id: id, isDeleted: false });
    }

    async updateEntity(id: string, data: UpdatePostPurchaseSectionFourCmsDto): Promise<PostPurchaseSectionFourCmsDocument | null> {
        try {
            return await this.model.findByIdAndUpdate(id, data, { new: true });
        } catch (err) {
            console.log(err);
        }
    }
    
    async findAll(): Promise<PostPurchaseSectionFourCmsDocument[]> {
        return await this.model.find({ isDeleted: false });
    }

    async findOneByFilterQuery(query: any): Promise<PostPurchaseSectionFourCmsDocument | null> {
        return await this.model.findOne({ ...query, isDeleted: false }).lean();
    }

}