import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { PostPurchaseSectionOneCmsService } from "./post-purchase-section-one-cms.service";
import { PostPurchaseSectionOneCmsController } from "./post-purchase-section-one-cms.controller";
import { PostPurchaseSectionOneCmsSchema } from "./schema/post-purchase-section-one-cms.schema";


@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'post_purchase_section_one_cms', schema: PostPurchaseSectionOneCmsSchema },
        ]),
    ],
    controllers: [PostPurchaseSectionOneCmsController],
    providers: [PostPurchaseSectionOneCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class PostPurchaseSectionOneCmsModule {
}
