import mongoose, { Model, Types } from 'mongoose';
import { UpdatePostPurchaseSectionOneCmsDto } from './dto/update-post-purchase-section-one-cms.dto';
import { PostPurchaseSectionOneCms } from './schema/post-purchase-section-one-cms.schema';

export class PostPurchaseSectionOneCmsRepository<PostPurchaseSectionOneCmsDocument extends PostPurchaseSectionOneCms> {
    constructor(private readonly model: Model<PostPurchaseSectionOneCmsDocument>) { }

    async createEntity(data: UpdatePostPurchaseSectionOneCmsDto): Promise<PostPurchaseSectionOneCmsDocument> {
        try {
            const createdEntity = new this.model({
                ...data,
                _id: new Types.ObjectId()
            });
            return await createdEntity.save();
        } catch (err) {
            console.log(err);
        }
    }

    async findOneEntity(id: string): Promise<PostPurchaseSectionOneCmsDocument | null> {
        if (!mongoose.Types.ObjectId.isValid(id)) {
            return null;
        }
        return await this.model.findOne({ _id: id, isDeleted: false });
    }

    async updateEntity(id: string, data: UpdatePostPurchaseSectionOneCmsDto): Promise<PostPurchaseSectionOneCmsDocument | null> {
        try {
            return await this.model.findByIdAndUpdate(id, data, { new: true });
        } catch (err) {
            console.log(err);
        }
    }
    
    async findAll(): Promise<PostPurchaseSectionOneCmsDocument[]> {
        return await this.model.find({ isDeleted: false });
    }

    async findOneByFilterQuery(query: any): Promise<PostPurchaseSectionOneCmsDocument | null> {
        return await this.model.findOne({ ...query, isDeleted: false }).lean();
    }

}