import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { PostPurchaseSectionThreeCmsService } from "./post-purchase-section-three-cms.service";
import { PostPurchaseSectionThreeCmsController } from "./post-purchase-section-three-cms.controller";
import { PostPurchaseSectionThreeCmsSchema } from "./schema/post-purchase-section-three-cms.schema";


@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'post_purchase_section_three_cms', schema: PostPurchaseSectionThreeCmsSchema },
        ]),
    ],
    controllers: [PostPurchaseSectionThreeCmsController],
    providers: [PostPurchaseSectionThreeCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class PostPurchaseSectionThreeCmsModule {
}
