import mongoose, { Model, Types } from 'mongoose';
import { UpdatePostPurchaseSectionThreeCmsDto } from './dto/update-post-purchase-section-three-cms.dto';
import { PostPurchaseSectionThreeCms } from './schema/post-purchase-section-three-cms.schema';

export class PostPurchaseSectionThreeCmsRepository<PostPurchaseSectionThreeCmsDocument extends PostPurchaseSectionThreeCms> {
    constructor(private readonly model: Model<PostPurchaseSectionThreeCmsDocument>) { }

    async createEntity(data: UpdatePostPurchaseSectionThreeCmsDto): Promise<PostPurchaseSectionThreeCmsDocument> {
        try {
            const createdEntity = new this.model({
                ...data,
                _id: new Types.ObjectId()
            });
            return await createdEntity.save();
        } catch (err) {
            console.log(err);
        }
    }

    async findOneEntity(id: string): Promise<PostPurchaseSectionThreeCmsDocument | null> {
        if (!mongoose.Types.ObjectId.isValid(id)) {
            return null;
        }
        return await this.model.findOne({ _id: id, isDeleted: false });
    }

    async updateEntity(id: string, data: UpdatePostPurchaseSectionThreeCmsDto): Promise<PostPurchaseSectionThreeCmsDocument | null> {
        try {
            return await this.model.findByIdAndUpdate(id, data, { new: true });
        } catch (err) {
            console.log(err);
        }
    }
    
    async findAll(): Promise<PostPurchaseSectionThreeCmsDocument[]> {
        return await this.model.find({ isDeleted: false });
    }

    async findOneByFilterQuery(query: any): Promise<PostPurchaseSectionThreeCmsDocument | null> {
        return await this.model.findOne({ ...query, isDeleted: false }).lean();
    }

}