import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { PostPurchaseSectionTwoCmsService } from "./post-purchase-section-two-cms.service";
import { PostPurchaseSectionTwoCmsController } from "./post-purchase-section-two-cms.controller";
import { PostPurchaseSectionTwoCmsSchema } from "./schema/post-purchase-section-two-cms.schema";


@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'post_purchase_section_two_cms', schema: PostPurchaseSectionTwoCmsSchema },
        ]),
    ],
    controllers: [PostPurchaseSectionTwoCmsController],
    providers: [PostPurchaseSectionTwoCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class PostPurchaseSectionTwoCmsModule {
}
