import mongoose, { Model, Types } from 'mongoose';
import { UpdatePostPurchaseSectionTwoCmsDto } from './dto/update-post-purchase-section-two-cms.dto';
import { PostPurchaseSectionTwoCms } from './schema/post-purchase-section-two-cms.schema';

export class PostPurchaseSectionTwoCmsRepository<PostPurchaseSectionTwoCmsDocument extends PostPurchaseSectionTwoCms> {
    constructor(private readonly model: Model<PostPurchaseSectionTwoCmsDocument>) { }

    async createEntity(data: UpdatePostPurchaseSectionTwoCmsDto): Promise<PostPurchaseSectionTwoCmsDocument> {
        try {
            const createdEntity = new this.model({
                ...data,
                _id: new Types.ObjectId()
            });
            return await createdEntity.save();
        } catch (err) {
            console.log(err);
        }
    }

    async findOneEntity(id: string): Promise<PostPurchaseSectionTwoCmsDocument | null> {
        if (!mongoose.Types.ObjectId.isValid(id)) {
            return null;
        }
        return await this.model.findOne({ _id: id, isDeleted: false });
    }

    async updateEntity(id: string, data: UpdatePostPurchaseSectionTwoCmsDto): Promise<PostPurchaseSectionTwoCmsDocument | null> {
        try {
            return await this.model.findByIdAndUpdate(id, data, { new: true });
        } catch (err) {
            console.log(err);
        }
    }
    
    async findAll(): Promise<PostPurchaseSectionTwoCmsDocument[]> {
        return await this.model.find({ isDeleted: false });
    }

    async findOneByFilterQuery(query: any): Promise<PostPurchaseSectionTwoCmsDocument | null> {
        return await this.model.findOne({ ...query, isDeleted: false }).lean();
    }

}