import { Controller, Get, Post, Body, UseGuards } from '@nestjs/common';
import { PrivacyPolicyCmsService } from './privacy-policy-cms.service';
import { UpdatePrivacyPolicyCmsDto } from './dto/update-privacy-policy-cms.dto';
import { Constants } from 'src/utils/constants';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';

@Controller({ path: "privacy-policy-cms", version: Constants.API_VERSION_1 })
export class PrivacyPolicyCmsController {
    constructor(private readonly privacyPolicyCmsService: PrivacyPolicyCmsService) { }

    @Post()
    @UseGuards(AdminAuthGuard)
    async updateOrCreateData(@Body() dto: UpdatePrivacyPolicyCmsDto) {
        return await this.privacyPolicyCmsService.updateOrCreateData(dto);
    }

    @Get()
    async findAll() {
        return await this.privacyPolicyCmsService.findAll();
    }
}
