import { Module } from '@nestjs/common';
import { PrivacyPolicyCmsService } from './privacy-policy-cms.service';
import { PrivacyPolicyCmsController } from './privacy-policy-cms.controller';
import { MongooseModule } from '@nestjs/mongoose';
import { PrivacyPolicyCmsSchema } from './schema/privacy-policy-cms.schema';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import { UsersSchema } from 'src/modules/CRUD/users/schema/users.schema';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'privacy_policy_cms', schema: PrivacyPolicyCmsSchema }
        ])
    ],
    controllers: [PrivacyPolicyCmsController],
    providers: [PrivacyPolicyCmsService, JwtHelper]
})
export class PrivacyPolicyCmsModule {}
