import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { UpdateRobotTextCmsDto } from "./dto/update-robot-text-cms.dto";
import { RobotTextCmsService } from "./robot-text-cms.service";

@Controller({ path: "robot-text-cms", version: Constants.API_VERSION_1 })

export class RobotTextCmsController {
    constructor(private readonly service: RobotTextCmsService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(@Body() dto: UpdateRobotTextCmsDto) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // 
    findAll() {
        return this.service.findAll();
    }
}
