import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import { RobotTextCmsController } from "./robot-text-cms.controller";
import { RobotTextCmsService } from "./robot-text-cms.service";
import { RobotTextCmsSchema } from "./schema/robot-text-cms.schema";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'robot_text_cms', schema: RobotTextCmsSchema },
        ]),
    ],
    controllers: [RobotTextCmsController],
    providers: [RobotTextCmsService, JwtHelper]
})

export class RobotTextCmsModule { }
