import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { UpdateSiteMapCmsDto } from "./dto/update-site-map-cms.dto";
import { SiteMapCmsService } from "./site-map-cms.service";

@Controller({ path: "site-map-cms", version: Constants.API_VERSION_1 })

export class SiteMapCmsController {
    constructor(private readonly service: SiteMapCmsService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(@Body() dto: UpdateSiteMapCmsDto) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // 
    findAll() {
        return this.service.findAll();
    }
}
