import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import { SiteMapCmsSchema } from "./schema/site-map-cms.schema";
import { SiteMapCmsController } from "./site-map-cms.controller";
import { SiteMapCmsService } from "./site-map-cms.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'site_map_cms', schema: SiteMapCmsSchema },
        ]),
    ],
    controllers: [SiteMapCmsController],
    providers: [SiteMapCmsService, JwtHelper]
})

export class SiteMapCmsModule { }
