import { Controller, Get, Post, Body, UseGuards } from '@nestjs/common';
import { Constants } from 'src/utils/constants';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';
import { SolutionServiceDetailsCmsService } from './solution-service-details-cms.service';
import { UpdateSolutionServiceDetailsCmsDto } from './dto/update-solution-service-details-cms.dto';

@Controller({ path: "solution-service-details-cms", version: Constants.API_VERSION_1 })
export class SolutionServiceDetailsCmsController {
    constructor(private readonly service: SolutionServiceDetailsCmsService) { }

    @Post()
    @UseGuards(AdminAuthGuard)
    async updateOrCreateData(@Body() dto: UpdateSolutionServiceDetailsCmsDto) {
        return await this.service.updateOrCreateData(dto);
    }

    @Get()
    async findAll() {
        return await this.service.findAll();
    }
}
