import { Module } from '@nestjs/common';
import { MongooseModule } from '@nestjs/mongoose';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import { UsersSchema } from 'src/modules/CRUD/users/schema/users.schema';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { SolutionServiceDetailsCmsService } from './solution-service-details-cms.service';
import { SolutionServiceDetailsCmsController } from './solution-service-details-cms.controller';
import { SolutionServiceDetailsCmsSchema } from './schema/solution-service-details-cms.schema';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'solution_service_details_cms', schema: SolutionServiceDetailsCmsSchema }
        ])
    ],
    controllers: [SolutionServiceDetailsCmsController],
    providers: [SolutionServiceDetailsCmsService, JwtHelper]
})
export class SolutionServiceDetailsCmsModule {}
