import { Controller, Get, Post, Body, UseGuards } from '@nestjs/common';
import { Constants } from 'src/utils/constants';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';
import { SolutionTypeDetailsCmsService } from './solution-type-details-cms.service';
import { UpdateSolutionTypeDetailsCmsDto } from './dto/update-solution-type-details-cms.dto';

@Controller({ path: "solution-type-details-cms", version: Constants.API_VERSION_1 })
export class SolutionTypeDetailsCmsController {
    constructor(private readonly service: SolutionTypeDetailsCmsService) { }

    @Post()
    @UseGuards(AdminAuthGuard)
    async updateOrCreateData(@Body() dto: UpdateSolutionTypeDetailsCmsDto) {
        return await this.service.updateOrCreateData(dto);
    }

    @Get()
    async findAll() {
        return await this.service.findAll();
    }
}
