import { Module } from '@nestjs/common';
import { MongooseModule } from '@nestjs/mongoose';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import { UsersSchema } from 'src/modules/CRUD/users/schema/users.schema';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { SolutionTypeDetailsCmsController } from './solution-type-details-cms.controller';
import { SolutionTypeDetailsCmsService } from './solution-type-details-cms.service';
import { SolutionTypeDetailsCmsSchema } from './schema/solution-type-details-cms.schema';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'solution_type_details_cms', schema: SolutionTypeDetailsCmsSchema }
        ])
    ],
    controllers: [SolutionTypeDetailsCmsController],
    providers: [SolutionTypeDetailsCmsService, JwtHelper]
})
export class SolutionTypeDetailsCmsModule {}
