import { Controller, Get, Post, Body, UseGuards } from '@nestjs/common';
import { Constants } from 'src/utils/constants';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';
import { StatisticsCmsService } from './statistics-cms.service';
import { UpdateStatisticsCmDto } from './dto/update-statistics-cms.dto';

@Controller({ path: "statistics-section-cms", version: Constants.API_VERSION_1 })
export class StatisticsCmsController {
    constructor(private readonly homeCmsService: StatisticsCmsService) { }

    @Post()
    @UseGuards(AdminAuthGuard)
    async updateOrCreateData(@Body() dto: UpdateStatisticsCmDto) {
        return await this.homeCmsService.updateOrCreateData(dto);
    }

    @Get()
    async findAll() {
        return await this.homeCmsService.findAll();
    }
}
