import { Module } from '@nestjs/common';
import { MongooseModule } from '@nestjs/mongoose';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import { UsersSchema } from 'src/modules/CRUD/users/schema/users.schema';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { StatisticsCmsService } from './statistics-cms.service';
import { StatisticsCmsController } from './statistics-cms.controller';
import { StatisticsCmsSchema } from './schema/statistics-cms.schema';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'statistics_cms', schema: StatisticsCmsSchema }
        ])
    ],
    controllers: [StatisticsCmsController],
    providers: [StatisticsCmsService, JwtHelper]
})
export class StatisticsCmsModule {}
