import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { DashboardSectionFiveCmsSchema } from "./schema/dashboard-section-four-cms.schema";
import { DashboardSectionFiveCmsController } from "./dashboard-section-five-cms.controller";
import { DashboardSectionFiveCmsService } from "./dashboard-section-five-cms.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'dashboard_section_five_cms', schema: DashboardSectionFiveCmsSchema }
        ])
    ],
    controllers: [DashboardSectionFiveCmsController],
    providers: [DashboardSectionFiveCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class DashboardSectionFiveCmsModule {}
