import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { DashboardSectionFourCmsSchema } from "./schema/dashboard-section-four-cms.schema";
import { DashboardSectionFourCmsController } from "./dashboard-section-four-cms.controller";
import { DashboardSectionFourCmsService } from "./dashboard-section-four-cms.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'dashboard_section_four_cms', schema: DashboardSectionFourCmsSchema }
        ])
    ],
    controllers: [DashboardSectionFourCmsController],
    providers: [DashboardSectionFourCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class DashboardSectionFourCmsModule {}
