import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { DashboardSectionOneCmsSchema } from "./schema/dashboard-section-one-cms.schema";
import { DashboardSectionOneCmsController } from "./dashboard-section-one-cms.controller";
import { DashboardSectionOneCmsService } from "./dashboard-section-one-cms.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'dashboard_section_one_cms', schema: DashboardSectionOneCmsSchema },
        ]),
    ],
    controllers: [DashboardSectionOneCmsController],
    providers: [DashboardSectionOneCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class DashboardSectionOneCmsModule {
}
