import { Module } from "@nestjs/common";
import { MongooseModule } from "@nestjs/mongoose";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../../CRUD/users/schema/users.schema";
import JwtHelper from "src/core/jwt/jwt.helper";
import { DashboardSectionThreeCmsSchema } from "./schema/dashboard-section-three-cms.schema";
import { DashboardSectionThreeCmsController } from "./dashboard-section-three-cms.controller";
import { DashboardSectionThreeCmsService } from "./dashboard-section-three-cms.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'dashboard_section_three_cms', schema: DashboardSectionThreeCmsSchema }
        ])
    ],
    controllers: [DashboardSectionThreeCmsController],
    providers: [DashboardSectionThreeCmsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class DashboardSectionThreeCmsModule {}
