import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { UsersSchema } from "../users/schema/users.schema";
import { ChangePasswordTokenSchema } from "./schema/change-password-token.schema";
import { ChangePasswordTokenController } from "./change-password-token.controller";
import { ChangePasswordTokenService } from "./change-password-token.service";

@Module({
    imports: [JwtModule.registerAsync({
        useClass: JwtConfigService
    }),
    MongooseModule.forFeature([
        { name: 'Users', schema: UsersSchema },
        { name: "change_password_token", schema: ChangePasswordTokenSchema }])
    ],
    controllers: [ChangePasswordTokenController],
    providers: [ChangePasswordTokenService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})

export class ChangePasswordTokenModule { }