import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { UsersSchema } from "../users/schema/users.schema";
import { ConsultationController } from "./consultation.controller";
import { ConsultationService } from "./consultation.service";
import { ConsultationSchema } from "./schema/consultation.schema";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'consultation', schema: ConsultationSchema }
        ]),
    ],
    controllers: [ConsultationController],
    providers: [ConsultationService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class ConsultationModule { }
