import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class Consultation extends AbstractDocument {
    @Prop({ required: true })
    firstName: string;

    @Prop({ required: true })
    lastName: string;

    @Prop({ required: true })
    email: string;

    @Prop({ required: true })
    mobile: string;

    @Prop({ required: true })
    message: string;

    @Prop({ required: true })
    companyName: string;
}

export const ConsultationSchema = SchemaFactory.createForClass(Consultation);