import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { UsersSchema } from "../users/schema/users.schema";
import { ContactSchema } from "./schema/contact.schema";
import { ContactController } from "./contact.controller";
import { ContactService } from "./contact.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'contact', schema: ContactSchema }
        ]),
    ],
    controllers: [ContactController],
    providers: [ContactService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class ContactModule {}
