import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { UsersSchema } from "../users/schema/users.schema";
import { IntegrationsController } from "./integrations.controller";
import { IntegrationsService } from './integrations.service';
import { IntegrationsSchema } from "./schema/integrations.schema";


@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([{ name: 'Users', schema: UsersSchema },
        { name: 'integrations', schema: IntegrationsSchema }]),
    ],
    controllers: [IntegrationsController],
    providers: [IntegrationsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class IntegrationsModule {
}
