import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { UsersSchema } from "../users/schema/users.schema";
import { PartnersController } from "./partners.controller";
import { PartnersService } from "./partners.service";
import { PartnersSchema } from "./schema/partners.schema";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([{ name: 'Users', schema: UsersSchema },
        { name: 'partners', schema: PartnersSchema }]),
    ],
    controllers: [PartnersController],
    providers: [PartnersService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class PartnersModule {
}
