import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class Services extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    heading: string;

    @Prop({ default: null, nullable: true })
    title: string;

    @Prop({ default: null, nullable: true })
    description: string;

    @Prop({ default: null, nullable: true })
    image: string;

    @Prop({ default: null, nullable: true })
    buttonLink: string;

    @Prop({ default: null, nullable: true })
    buttonText: string;

    @Prop({ default: null, nullable: true })
    urlSlug: string;

    @Prop({ default: null, nullable: true })
    solutions: string[];

    @Prop({ default: null, nullable: true })
    companyDescription: string;

    @Prop({ default: null, nullable: true })
    icon: string;

    @Prop({ default: null, nullable: true })
    metaTitle: string;

    @Prop({ default: null, nullable: true })
    metaDescription: string;

    @Prop({ default: null, nullable: true })
    metaKeyword: string;

    @Prop({ default: null, nullable: true })
    cannonicalUrl: string;

    @Prop({ default: null, nullable: true })
    imageAlt: string;

    @Prop({ default: null, nullable: true })
    imageTitle: string;

    
    @Prop({ default: null, nullable: true })
    iconAlt: string;

    @Prop({ default: null, nullable: true })
    iconTitle: string;
}

export const ServicesSchema = SchemaFactory.createForClass(Services);