import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Schema as MongooseSchema } from 'mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';
import { Services } from '../../services/schema/services.schema';
import { Solutions } from '../../solutions/schema/solutions.schema';

@Schema({ timestamps: true, id: true, versionKey: false })
export class SolutionsServices extends AbstractDocument {
    @Prop({
        default: null, nullable: true, type: MongooseSchema.Types.ObjectId, ref: 'solutions'
    })
    solution: Solutions

    @Prop({
        default: null, nullable: true, type: MongooseSchema.Types.ObjectId, ref: 'services'
    })
    service: Services
}

export const SolutionsServicesSchema = SchemaFactory.createForClass(SolutionsServices);