import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersSchema } from "src/modules/CRUD/users/schema/users.schema";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { SolutionsServicesSchema } from "./schema/solutions-services.schema";
import { SolutionsServicesController } from "./solutions-services.controller";
import { SolutionsServicesService } from "./solutions-services.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'solutions-services', schema: SolutionsServicesSchema }
        ])
    ],
    controllers: [SolutionsServicesController],
    providers: [SolutionsServicesService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})

export class SolutionsServicesModule { }
