import { IsEnum, IsNotEmpty, IsOptional } from "class-validator";
import { Services } from "../../services/schema/services.schema";
import { SolutionEnumType } from "../solutions.enum";

export class CreateSolutionsDto {
    @IsOptional()
    heading: string;

    @IsNotEmpty()
    title: string;

    @IsNotEmpty()
    description: string;

    @IsOptional()
    image: string;

    @IsOptional()
    buttonLink: string;

    @IsOptional()
    buttonText: string;

    @IsOptional()
    @IsEnum(SolutionEnumType)
    solutionType?: SolutionEnumType;

    @IsOptional()
    urlSlug: string;

    @IsOptional()
    services: Services[];

    @IsNotEmpty()
    companyDescription: string;

    @IsOptional()
    icon: string;

    @IsOptional()
    metaTitle: string;

    @IsOptional()
    metaDescription: string;

    @IsOptional()
    metaKeyword: string;

    @IsOptional()
    cannonicalUrl: string;

    @IsOptional()
    imageAlt: string;

    @IsOptional()
    imageTitle: string;
    
    @IsOptional()
    iconAlt: string;

    @IsOptional()
    iconTitle: string;
}
