import { Prop, Schema, SchemaFactory } from "@nestjs/mongoose";
import { AbstractDocument } from "src/core/abstract-entity";
import { SchemaTypes, Types } from "mongoose";

@Schema({ timestamps: true, id: true, versionKey: false })
export class TemporaryPassword extends AbstractDocument {
    @Prop({
        default: null, nullable: true, type: SchemaTypes.ObjectId
    })
    userId: Types.ObjectId;

    @Prop({ default: null, nullable: true })
    temporary_password: string;
}

export const TemporaryPasswordSchema = SchemaFactory.createForClass(TemporaryPassword);