import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { UsersSchema } from "../users/schema/users.schema";
import { TemporaryPasswordSchema } from "./schema/temporary-password.schema";
import { TemporaryPasswordController } from "./temporary-password.controller";
import { TemporaryPasswordService } from "./temporary-password.service";

@Module({
    imports: [JwtModule.registerAsync({
        useClass: JwtConfigService
    }),
    MongooseModule.forFeature([
        { name: 'Users', schema: UsersSchema },
        { name: "temporary_password", schema: TemporaryPasswordSchema }])
    ],
    controllers: [TemporaryPasswordController],
    providers: [TemporaryPasswordService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})

export class TemporaryPasswordModule { }