import { Controller, Get, Param } from '@nestjs/common';
import { Constants } from "src/utils/constants";
import { SiteFrontendService } from "./site-frontend.service";

@Controller({
    path: "site",
    version: Constants.API_VERSION_1
})
export class SiteFrontendController {
    constructor(private readonly service: SiteFrontendService) { }

    @Get('/about-page')
    async getAboutPageData() {
        return await this.service.getAboutPageData();
    }

    @Get('/contact-page')
    async getContactPageData() {
        return await this.service.getContactPageData();
    }

    @Get('/home-page')
    async getHomePageData() {
        return await this.service.getHomePageData();
    }

    @Get('/chatbot-page')
    async getChatbotPageData() {
        return await this.service.getChatbotPageData();
    }

    @Get('/post-purchase-page')
    async getPostPurchasePageData() {
        return await this.service.getPostPurchasePageData();
    }

    @Get('/checkout-page')
    async getCheckoutPageData() {
        return await this.service.getCheckoutPageData();
    }

    @Get('/cms-dashboard-page')
    async getCmsDashboardPageData() {
        return await this.service.getCmsDashboardPageData();
    }

    @Get('/analytics-dashboard-page')
    async getAnalyticsDashboardPageData() {
        return await this.service.getAnalyticsDashboardPageData();
    }

    @Get('/portfolio-page')
    async getPortfolioPageData() {
        return await this.service.getPortfolioPageData();
    }

    @Get('/common-cms')
    async getCommonCMSData() {
        return await this.service.getCommonCMSData();
    }

    @Get('/integrations-page')
    async getIntegrationPageData() {
        return await this.service.getIntegrationPageData();
    }

    @Get('/solution-type-details-page')
    async getSolutionDetailsPageData() {
        return await this.service.getSolutionDetailsPageData();
    }

    @Get('/solutions/:urlSlug')
    getSolutionsDetailsPageData(@Param('urlSlug') urlSlug: string) {
        return this.service.getSolutionsDetailsPageData(urlSlug);
    }

    @Get('/service/:urlSlug')
    getServiceDetailsPageData(@Param('urlSlug') urlSlug: string) {
        return this.service.getServiceDetailsPageData(urlSlug);
    }

    @Get('/portfolio/:urlSlug')
    getPortFolioDetailsPageData(@Param('urlSlug') urlSlug: string) {
        return this.service.getPortFolioDetailsPageData(urlSlug);
    }

    @Get('/sitemap')
    async getSiteMap() {
        return await this.service.getSiteMap();
    }
}     
