import { Module } from '@nestjs/common';
import { JwtModule } from '@nestjs/jwt';
import { MongooseModule } from '@nestjs/mongoose';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { AnalyticsDashboardSectionFiveCmsSchema } from '../AnalyticsDashboardPage/analytics-dashboard-section-five-cms/schema/analytics-dashboard-section-five-cms.schema';
import { AnalyticsDashboardSectionFourCmsSchema } from '../AnalyticsDashboardPage/analytics-dashboard-section-four-cms/schema/analytics-dashboard-section-four-cms.schema';
import { AnalyticsDashboardSectionOneCmsSchema } from '../AnalyticsDashboardPage/analytics-dashboard-section-one-cms/schema/analytics-dashboard-section-one-cms.schema';
import { AnalyticsDashboardSectionSixCmsSchema } from '../AnalyticsDashboardPage/analytics-dashboard-section-six-cms/schema/analytics-dashboard-section-six-cms.schema';
import { AnalyticsDashboardSectionSixSchema } from '../AnalyticsDashboardPage/analytics-dashboard-section-six/schema/analytics-dashboard-section-six.schema';
import { AnalyticsDashboardSectionThreeCmsSchema } from '../AnalyticsDashboardPage/analytics-dashboard-section-three-cms/schema/analytics-dashboard-section-three-cms.schema';
import { AnalyticsDashboardSectionTwoCmsSchema } from '../AnalyticsDashboardPage/analytics-dashboard-section-two-cms/schema/analytics-dashboard-section-two-cms.schema';
import { AboutSectionOneCmsSchema } from '../CMS/about-section-one-cms/schema/about-section-one-cms.schema';
import { AboutSectionThreeCmsSchema } from '../CMS/about-section-three-cms/schema/about-section-three-cms.schema';
import { AboutSectionTwoCmsSchema } from '../CMS/about-section-two-cms/schema/about-section-two-cms.schema';
import { ChatbotPageSectionFourCmsSchema } from '../CMS/chatbot-page-section-four-cms/schema/chatbot-page-section-four-cms.schema';
import { ChatbotSectionOneCmsSchema } from '../CMS/chatbot-section-one/schema/chatbot-section-one-cms.schema';
import { ChatbotSectionThreeCmsSchema } from '../CMS/chatbot-section-three-cms/schema/chatbot-section-three-cms.schema';
import { ChatbotSectionTwoCmsSchema } from '../CMS/chatbot-section-two-cms/schema/chatbot-section-two-cms.schema';
import { CheckoutSectionFourCmsSchema } from '../CMS/checkout-section-four-cms/schema/checkout-section-four-cms.schema';
import { CheckoutSectionOneCmsSchema } from '../CMS/checkout-section-one-cms/schema/checkout-section-one-cms.schema';
import { CheckoutSectionThreeCmsSchema } from '../CMS/checkout-section-three-cms/schema/checkout-section-three-cms.schema';
import { CheckoutSectionTwoCmsSchema } from '../CMS/checkout-section-two-cms/schema/checkout-section-two-cms.schema';
import { CommonPageCmsSchema } from '../CMS/common-page-cms/schema/common-page-cms.schema';
import { ContactPageCmsSchema } from '../CMS/contact-page-cms/schema/contact-page-cms.schema';
import { HeaderFooterCmsSchema } from '../CMS/header-footer-cms/schema/header-footer-cms.schema';
import { HireUsCmsSchema } from '../CMS/hire-us-cms/schema/hire-us-cms.schema';
import { HomeCmsSchema } from '../CMS/home-cms/schema/home-cms.schema';
import { HomeCompanySloganCmsSchema } from '../CMS/home-company-slogan/schema/home-company-slogan-cms.schema';
import { HomeHeroCmsSchema } from '../CMS/home-hero-cms/schema/home-hero-cms.schema';
import { HomeProjectCmsSchema } from '../CMS/home-project-cms/schema/home-project-cms.schema';
import { IntegrationsPageCMSSchema } from '../CMS/integrations-page-cms/schema/integrations-page-cms.schema';
import { IntegrationsPageSectionFiveCmsSchema } from '../CMS/integrations-page-section-five-cms/schema/integrations-page-section-five-cms.schema';
import { IntegrationsPageSectionFourCmsSchema } from '../CMS/integrations-page-section-four-cms/schema/integrations-page-section-four-cms.schema';
import { IntegrationsPageSectionSixCmsSchema } from '../CMS/integrations-page-section-six-cms/schema/integrations-page-section-six-cms.schema';
import { IntegrationsPageSectionThreeSchema } from '../CMS/integrations-page-section-three/schema/integrations-page-section-three.schema';
import { IntegrationsPageSectionTwoCmsSchema } from '../CMS/integrations-page-section-two-cms/schema/integrations-page-section-two-cms.schema';
import { NewsletterCmsSchema } from '../CMS/newsletter-cms/schema/newsletter-cms.schema';
import { PortfolioDetailsDiscoverCmsSchema } from '../CMS/portfolio-details-discover-cms/schema/portfolio-details-discover-cms.schema';
import { PostPurchaseSectionFourCmsSchema } from '../CMS/post-purchase-section-four-cms/schema/post-purchase-section-four-cms.schema';
import { PostPurchaseSectionOneCmsSchema } from '../CMS/post-purchase-section-one-cms/schema/post-purchase-section-one-cms.schema';
import { PostPurchaseSectionThreeCmsSchema } from '../CMS/post-purchase-section-three-cms/schema/post-purchase-section-three-cms.schema';
import { PostPurchaseSectionTwoCmsSchema } from '../CMS/post-purchase-section-two-cms/schema/post-purchase-section-two-cms.schema';
import { SiteMapCmsSchema } from '../CMS/site-map-cms/schema/site-map-cms.schema';
import { SolutionServiceDetailsCmsSchema } from '../CMS/solution-service-details-cms/schema/solution-service-details-cms.schema';
import { SolutionTypeDetailsCmsSchema } from '../CMS/solution-type-details-cms/schema/solution-type-details-cms.schema';
import { StatisticsCmsSchema } from '../CMS/statistics-section-cms/schema/statistics-cms.schema';
import { DashboardSectionFiveCmsSchema } from '../CMSDashboardPage/dashboard-section-five-cms/schema/dashboard-section-four-cms.schema';
import { DashboardSectionFourCmsSchema } from '../CMSDashboardPage/dashboard-section-four-cms/schema/dashboard-section-four-cms.schema';
import { DashboardSectionOneCmsSchema } from '../CMSDashboardPage/dashboard-section-one-cms/schema/dashboard-section-one-cms.schema';
import { DashboardSectionThreeCmsSchema } from '../CMSDashboardPage/dashboard-section-three-cms/schema/dashboard-section-three-cms.schema';
import { DashboardSectionTwoCmsSchema } from '../CMSDashboardPage/dashboard-section-two-cms/schema/dashboard-section-two-cms.schema';
import { ClientsSchema } from '../CRUD/clients/schema/clients.schema';
import { IntegrationsSchema } from '../CRUD/integrations/schema/integrations.schema';
import { PartnersSchema } from '../CRUD/partners/schema/partners.schema';
import { PortfolioSchema } from '../CRUD/portfolio/schema/portfolio.schema';
import { ServicesSchema } from '../CRUD/services/schema/services.schema';
import { SocialLinksSchema } from '../CRUD/social-links/schema/social-links.schema';
import { SolutionsServicesSchema } from '../CRUD/solutions-services/schema/solutions-services.schema';
import { SolutionsSchema } from '../CRUD/solutions/schema/solutions.schema';
import { UsersSchema } from '../CRUD/users/schema/users.schema';
import { SiteFrontendController } from './site-frontend.controller';
import { SiteFrontendService } from './site-frontend.service';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([
            { name: 'Users', schema: UsersSchema },
            { name: 'about_section_one_cms', schema: AboutSectionOneCmsSchema },
            { name: 'about_section_two_cms', schema: AboutSectionTwoCmsSchema },
            { name: 'about_section_three_cms', schema: AboutSectionThreeCmsSchema },
            { name: 'contact_page_cms', schema: ContactPageCmsSchema },
            { name: 'common_page_cms', schema: CommonPageCmsSchema },
            { name: 'statistics_cms', schema: StatisticsCmsSchema },
            { name: 'home_cms', schema: HomeCmsSchema },
            { name: 'home_hero_cms', schema: HomeHeroCmsSchema },
            { name: 'home_project_cms', schema: HomeProjectCmsSchema },
            { name: 'chatbot_section_one_cms', schema: ChatbotSectionOneCmsSchema },
            { name: 'chatbot_section_two_cms', schema: ChatbotSectionTwoCmsSchema },
            { name: 'chatbot_section_three_cms', schema: ChatbotSectionThreeCmsSchema },
            { name: 'chatbot_page_section_four_cms', schema: ChatbotPageSectionFourCmsSchema },
            { name: 'home_company_slogan_cms', schema: HomeCompanySloganCmsSchema },
            { name: 'clients', schema: ClientsSchema },
            { name: 'integrations', schema: IntegrationsSchema },
            { name: 'partners', schema: PartnersSchema },
            { name: 'newsletter_cms', schema: NewsletterCmsSchema },
            { name: 'post_purchase_section_one_cms', schema: PostPurchaseSectionOneCmsSchema },
            { name: 'post_purchase_section_two_cms', schema: PostPurchaseSectionTwoCmsSchema },
            { name: 'post_purchase_section_three_cms', schema: PostPurchaseSectionThreeCmsSchema },
            { name: 'post_purchase_section_four_cms', schema: PostPurchaseSectionFourCmsSchema },
            { name: 'checkout_section_one_cms', schema: CheckoutSectionOneCmsSchema },
            { name: 'checkout_section_two_cms', schema: CheckoutSectionTwoCmsSchema },
            { name: 'checkout_section_three_cms', schema: CheckoutSectionThreeCmsSchema },
            { name: 'checkout_section_four_cms', schema: CheckoutSectionFourCmsSchema },
            { name: 'dashboard_section_one_cms', schema: DashboardSectionOneCmsSchema },
            { name: 'dashboard_section_two_cms', schema: DashboardSectionTwoCmsSchema },
            { name: 'dashboard_section_three_cms', schema: DashboardSectionThreeCmsSchema },
            { name: 'dashboard_section_four_cms', schema: DashboardSectionFourCmsSchema },
            { name: 'dashboard_section_five_cms', schema: DashboardSectionFiveCmsSchema },
            { name: 'analytics_dashboard_section_one_cms', schema: AnalyticsDashboardSectionOneCmsSchema },
            { name: 'analytics_dashboard_section_two_cms', schema: AnalyticsDashboardSectionTwoCmsSchema },
            { name: 'analytics_dashboard_section_three_cms', schema: AnalyticsDashboardSectionThreeCmsSchema },
            { name: 'analytics_dashboard_section_four_cms', schema: AnalyticsDashboardSectionFourCmsSchema },
            { name: 'analytics_dashboard_section_five_cms', schema: AnalyticsDashboardSectionFiveCmsSchema },
            { name: 'analytics_dashboard_section_six_cms', schema: AnalyticsDashboardSectionSixCmsSchema },
            { name: 'portfolio_details_discover_cms', schema: PortfolioDetailsDiscoverCmsSchema },
            { name: 'hire_us_cms', schema: HireUsCmsSchema },
            { name: 'analytic_dashboard_section_six', schema: AnalyticsDashboardSectionSixSchema },
            { name: 'integrations_page_cms', schema: IntegrationsPageCMSSchema },
            { name: 'integrations_page_section_two_cms', schema: IntegrationsPageSectionTwoCmsSchema },
            { name: 'integrations_page_section_three', schema: IntegrationsPageSectionThreeSchema },
            { name: 'integrations_page_section_four_cms', schema: IntegrationsPageSectionFourCmsSchema },
            { name: 'integrations_page_section_five_cms', schema: IntegrationsPageSectionFiveCmsSchema },
            { name: 'integrations_page_section_six_cms', schema: IntegrationsPageSectionSixCmsSchema },
            { name: 'social_links', schema: SocialLinksSchema },
            { name: 'services', schema: ServicesSchema },
            { name: 'solutions', schema: SolutionsSchema },
            { name: 'solution_service_details_cms', schema: SolutionServiceDetailsCmsSchema },
            { name: 'header_footer_cms', schema: HeaderFooterCmsSchema },
            { name: 'portfolios', schema: PortfolioSchema },
            { name: 'solution_type_details_cms', schema: SolutionTypeDetailsCmsSchema },
            { name: 'solutions-services', schema: SolutionsServicesSchema },
            { name: 'site_map_cms', schema: SiteMapCmsSchema },

        ])
    ],
    controllers: [SiteFrontendController],
    providers: [SiteFrontendService, JwtHelper]
})

export class SiteFrontendModule { }
