import { Injectable, NotFoundException } from "@nestjs/common";
import { InjectModel } from "@nestjs/mongoose";


import { Model } from 'mongoose';
import { Constants } from 'src/utils/constants';
import { ResponseUtils } from "src/utils/response.utils";
import { AnalyticsDashboardSectionFiveCmsRepository } from "../AnalyticsDashboardPage/analytics-dashboard-section-five-cms/analytics-dashboard-section-five-cms.repository";
import { AnalyticsDashboardSectionFiveCms } from "../AnalyticsDashboardPage/analytics-dashboard-section-five-cms/schema/analytics-dashboard-section-five-cms.schema";
import { AnalyticsDashboardSectionFourCmsRepository } from "../AnalyticsDashboardPage/analytics-dashboard-section-four-cms/analytics-dashboard-section-four-cms.repository";
import { AnalyticsDashboardSectionFourCms } from "../AnalyticsDashboardPage/analytics-dashboard-section-four-cms/schema/analytics-dashboard-section-four-cms.schema";
import { AnalyticsDashboardSectionOneCmsRepository } from "../AnalyticsDashboardPage/analytics-dashboard-section-one-cms/analytics-dashboard-section-one-cms.repository";
import { AnalyticsDashboardSectionOneCms } from "../AnalyticsDashboardPage/analytics-dashboard-section-one-cms/schema/analytics-dashboard-section-one-cms.schema";
import { AnalyticsDashboardSectionSixCmsRepository } from "../AnalyticsDashboardPage/analytics-dashboard-section-six-cms/analytics-dashboard-section-six-cms.repository";
import { AnalyticsDashboardSectionSixCms } from "../AnalyticsDashboardPage/analytics-dashboard-section-six-cms/schema/analytics-dashboard-section-six-cms.schema";
import { AnalyticsDashboardSectionSixRepository } from "../AnalyticsDashboardPage/analytics-dashboard-section-six/analytics-dashboard-section-six.repository";
import { AnalyticsDashboardSectionSix } from "../AnalyticsDashboardPage/analytics-dashboard-section-six/schema/analytics-dashboard-section-six.schema";
import { AnalyticsDashboardSectionThreeCmsRepository } from "../AnalyticsDashboardPage/analytics-dashboard-section-three-cms/analytics-dashboard-section-three-cms.repository";
import { AnalyticsDashboardSectionThreeCms } from "../AnalyticsDashboardPage/analytics-dashboard-section-three-cms/schema/analytics-dashboard-section-three-cms.schema";
import { AnalyticsDashboardSectionTwoCmsRepository } from "../AnalyticsDashboardPage/analytics-dashboard-section-two-cms/analytics-dashboard-section-two-cms.repository";
import { AnalyticsDashboardSectionTwoCms } from "../AnalyticsDashboardPage/analytics-dashboard-section-two-cms/schema/analytics-dashboard-section-two-cms.schema";
import { AboutSectionOneCmsRepository } from "../CMS/about-section-one-cms/about-section-one-cms.repository";
import { AboutSectionOneCms } from "../CMS/about-section-one-cms/schema/about-section-one-cms.schema";
import { AboutSectionThreeCmsRepository } from "../CMS/about-section-three-cms/about-section-three-cms.repository";
import { AboutSectionThreeCms } from "../CMS/about-section-three-cms/schema/about-section-three-cms.schema";
import { AboutSectionTwoCmsRepository } from "../CMS/about-section-two-cms/about-section-two-cms.repository";
import { AboutSectionTwoCms } from "../CMS/about-section-two-cms/schema/about-section-two-cms.schema";
import { ChatbotPageSectionFourCmsRepository } from "../CMS/chatbot-page-section-four-cms/chatbot-page-section-four-cms.repository";
import { ChatbotPageSectionFourCms } from "../CMS/chatbot-page-section-four-cms/schema/chatbot-page-section-four-cms.schema";
import { ChatbotSectionOneCmsRepository } from "../CMS/chatbot-section-one/chatbot-section-one-cms.repository";
import { ChatbotSectionOneCms } from "../CMS/chatbot-section-one/schema/chatbot-section-one-cms.schema";
import { ChatbotSectionThreeCmsRepository } from "../CMS/chatbot-section-three-cms/chatbot-section-three-cms.repository";
import { ChatbotSectionThreeCms } from "../CMS/chatbot-section-three-cms/schema/chatbot-section-three-cms.schema";
import { ChatbotSectionTwoCmsRepository } from "../CMS/chatbot-section-two-cms/chatbot-section-two-cms.repository";
import { ChatbotSectionTwoCms } from "../CMS/chatbot-section-two-cms/schema/chatbot-section-two-cms.schema";
import { CheckoutSectionFourCmsRepository } from "../CMS/checkout-section-four-cms/checkout-section-four-cms.repository";
import { CheckoutSectionFourCms } from "../CMS/checkout-section-four-cms/schema/checkout-section-four-cms.schema";
import { CheckoutSectionOneCmsRepository } from "../CMS/checkout-section-one-cms/checkout-section-one-cms.repository";
import { CheckoutSectionOneCms } from "../CMS/checkout-section-one-cms/schema/checkout-section-one-cms.schema";
import { CheckoutSectionThreeCmsRepository } from "../CMS/checkout-section-three-cms/checkout-section-three-cms.repository";
import { CheckoutSectionThreeCms } from "../CMS/checkout-section-three-cms/schema/checkout-section-three-cms.schema";
import { CheckoutSectionTwoCmsRepository } from "../CMS/checkout-section-two-cms/checkout-section-two-cms.repository";
import { CheckoutSectionTwoCms } from "../CMS/checkout-section-two-cms/schema/checkout-section-two-cms.schema";
import { CommonPageCmsRepository } from "../CMS/common-page-cms/common-page-cms.repository";
import { CommonPageCms } from "../CMS/common-page-cms/schema/common-page-cms.schema";
import { ContactPageCmsRepository } from "../CMS/contact-page-cms/contact-page-cms.repository";
import { ContactPageCms } from "../CMS/contact-page-cms/schema/contact-page-cms.schema";
import { HeaderFooterCmsRepository } from "../CMS/header-footer-cms/header-footer-cms.repository";
import { HeaderFooterCms } from "../CMS/header-footer-cms/schema/header-footer-cms.schema";
import { HireUsCmsRepository } from "../CMS/hire-us-cms/hire-us-cms.repository";
import { HireUsCms } from "../CMS/hire-us-cms/schema/hire-us-cms.schema";
import { HomeCmsRepository } from "../CMS/home-cms/home-cms-repository";
import { HomeCms } from "../CMS/home-cms/schema/home-cms.schema";
import { HomeCompanySloganCmsRepository } from "../CMS/home-company-slogan/home-company-slogan-cms.repository";
import { HomeCompanySloganCms } from "../CMS/home-company-slogan/schema/home-company-slogan-cms.schema";
import { HomeHeroCmsRepository } from "../CMS/home-hero-cms/home-hero-cms-repository";
import { HomeHeroCms } from "../CMS/home-hero-cms/schema/home-hero-cms.schema";
import { HomeProjectCmsRepository } from "../CMS/home-project-cms/home-project-cms-repository";
import { HomeProjectCms } from "../CMS/home-project-cms/schema/home-project-cms.schema";
import { IntegrationsPageCMSRepository } from "../CMS/integrations-page-cms/integrations-page-cms.repository";
import { IntegrationsPageCMS } from "../CMS/integrations-page-cms/schema/integrations-page-cms.schema";
import { IntegrationsPageSectionFiveCmsRepository } from "../CMS/integrations-page-section-five-cms/integrations-page-section-five-cms.repository";
import { IntegrationsPageSectionFiveCms } from "../CMS/integrations-page-section-five-cms/schema/integrations-page-section-five-cms.schema";
import { IntegrationsPageSectionFourCmsRepository } from "../CMS/integrations-page-section-four-cms/integrations-page-section-four-cms.repository";
import { IntegrationsPageSectionFourCms } from "../CMS/integrations-page-section-four-cms/schema/integrations-page-section-four-cms.schema";
import { IntegrationsPageSectionSixCmsRepository } from "../CMS/integrations-page-section-six-cms/integrations-page-section-six-cms.repository";
import { IntegrationsPageSectionSixCms } from "../CMS/integrations-page-section-six-cms/schema/integrations-page-section-six-cms.schema";
import { IntegrationsPageSectionThreeRepository } from "../CMS/integrations-page-section-three/integrations-page-section-three.repository";
import { IntegrationsPageSectionThree } from "../CMS/integrations-page-section-three/schema/integrations-page-section-three.schema";
import { IntegrationsPageSectionTwoCmsRepository } from "../CMS/integrations-page-section-two-cms/integrations-page-section-two-cms.repository";
import { IntegrationsPageSectionTwoCms } from "../CMS/integrations-page-section-two-cms/schema/integrations-page-section-two-cms.schema";
import { NewsletterCmsRepository } from "../CMS/newsletter-cms/newsletter-cms-repository";
import { NewsletterCms } from "../CMS/newsletter-cms/schema/newsletter-cms.schema";
import { PortfolioDetailsDiscoverCmsRepository } from "../CMS/portfolio-details-discover-cms/portfolio-details-discover-repository";
import { PortfolioDetailsDiscoverCms } from "../CMS/portfolio-details-discover-cms/schema/portfolio-details-discover-cms.schema";
import { PostPurchaseSectionFourCmsRepository } from "../CMS/post-purchase-section-four-cms/post-purchase-section-four-cms.repository";
import { PostPurchaseSectionFourCms } from "../CMS/post-purchase-section-four-cms/schema/post-purchase-section-four-cms.schema";
import { PostPurchaseSectionOneCmsRepository } from "../CMS/post-purchase-section-one-cms/post-purchase-section-one-cms.repository";
import { PostPurchaseSectionOneCms } from "../CMS/post-purchase-section-one-cms/schema/post-purchase-section-one-cms.schema";
import { PostPurchaseSectionThreeCmsRepository } from "../CMS/post-purchase-section-three-cms/post-purchase-section-three-cms.repository";
import { PostPurchaseSectionThreeCms } from "../CMS/post-purchase-section-three-cms/schema/post-purchase-section-three-cms.schema";
import { PostPurchaseSectionTwoCmsRepository } from "../CMS/post-purchase-section-two-cms/post-purchase-section-two-cms.repository";
import { PostPurchaseSectionTwoCms } from "../CMS/post-purchase-section-two-cms/schema/post-purchase-section-two-cms.schema";
import { SiteMapCms } from "../CMS/site-map-cms/schema/site-map-cms.schema";
import { SiteMapCmsRepository } from "../CMS/site-map-cms/site-map-cms.repository";
import { SolutionServiceDetailsCms } from "../CMS/solution-service-details-cms/schema/solution-service-details-cms.schema";
import { SolutionServiceDetailsCmsRepository } from "../CMS/solution-service-details-cms/solution-service-details-cms-repository";
import { SolutionTypeDetailsCms } from "../CMS/solution-type-details-cms/schema/solution-type-details-cms.schema";
import { SolutionTypeDetailsCmsRepository } from "../CMS/solution-type-details-cms/solution-type-details-cms-repository";
import { StatisticsCms } from "../CMS/statistics-section-cms/schema/statistics-cms.schema";
import { StatisticsCmsRepository } from "../CMS/statistics-section-cms/statistics-cms-repository";
import { DashboardSectionFiveCmsRepository } from "../CMSDashboardPage/dashboard-section-five-cms/dashboard-section-five-cms.repository";
import { DashboardSectionFiveCms } from "../CMSDashboardPage/dashboard-section-five-cms/schema/dashboard-section-four-cms.schema";
import { DashboardSectionFourCmsRepository } from "../CMSDashboardPage/dashboard-section-four-cms/dashboard-section-four-cms.repository";
import { DashboardSectionFourCms } from "../CMSDashboardPage/dashboard-section-four-cms/schema/dashboard-section-four-cms.schema";
import { DashboardSectionOneCmsRepository } from "../CMSDashboardPage/dashboard-section-one-cms/dashboard-section-one-cms.repository";
import { DashboardSectionOneCms } from "../CMSDashboardPage/dashboard-section-one-cms/schema/dashboard-section-one-cms.schema";
import { DashboardSectionThreeCmsRepository } from "../CMSDashboardPage/dashboard-section-three-cms/dashboard-section-three-cms.repository";
import { DashboardSectionThreeCms } from "../CMSDashboardPage/dashboard-section-three-cms/schema/dashboard-section-three-cms.schema";
import { DashboardSectionTwoCmsRepository } from "../CMSDashboardPage/dashboard-section-two-cms/dashboard-section-two-cms.repository";
import { DashboardSectionTwoCms } from "../CMSDashboardPage/dashboard-section-two-cms/schema/dashboard-section-two-cms.schema";
import { ClientsRepository } from "../CRUD/clients/clients.repository";
import { Clients } from "../CRUD/clients/schema/clients.schema";
import { IntegrationsRepository } from "../CRUD/integrations/integrations.repository";
import { Integrations } from "../CRUD/integrations/schema/integrations.schema";
import { PartnersRepository } from "../CRUD/partners/partners.repository";
import { Partners } from "../CRUD/partners/schema/partners.schema";
import { PortfolioRepository } from "../CRUD/portfolio/portfolio.repository";
import { Portfolio } from "../CRUD/portfolio/schema/portfolio.schema";
import { Services } from "../CRUD/services/schema/services.schema";
import { ServicesRepository } from "../CRUD/services/services.repository";
import { SocialLinks } from "../CRUD/social-links/schema/social-links.schema";
import { SocialLinksRepository } from "../CRUD/social-links/social-links.repository";
import { SolutionsServices } from "../CRUD/solutions-services/schema/solutions-services.schema";
import { SolutionsServicesRepository } from "../CRUD/solutions-services/solutions-services.repository";
import { Solutions } from "../CRUD/solutions/schema/solutions.schema";
import { SolutionsRepository } from "../CRUD/solutions/solutions.repository";

@Injectable()
export class SiteFrontendService {
    constructor(
        @InjectModel('about_section_one_cms')
        private readonly aboutSectionOneCmsModel: Model<AboutSectionOneCms>,
        @InjectModel('about_section_two_cms')
        private readonly aboutSectionTwoCmsModel: Model<AboutSectionTwoCms>,
        @InjectModel('about_section_three_cms')
        private readonly aboutSectionThreeCmsModel: Model<AboutSectionThreeCms>,
        @InjectModel('contact_page_cms')
        private readonly contactPageCmsModel: Model<ContactPageCms>,
        @InjectModel('common_page_cms')
        private readonly commonPageCmsModel: Model<CommonPageCms>,
        @InjectModel('statistics_cms')
        private readonly statisticsCmsModel: Model<StatisticsCms>,
        @InjectModel('home_cms')
        private readonly homeCmsModel: Model<HomeCms>,
        @InjectModel('home_hero_cms')
        private readonly homeHeroCmsModel: Model<HomeHeroCms>,
        @InjectModel('home_project_cms')
        private readonly homeProjectCmsModel: Model<HomeProjectCms>,
        @InjectModel('home_company_slogan_cms')
        private readonly homeCompanySloganCmsModel: Model<HomeCompanySloganCms>,
        @InjectModel('chatbot_section_one_cms')
        private readonly chatbotSectionOneCmsModel: Model<ChatbotSectionOneCms>,
        @InjectModel('chatbot_section_two_cms')
        private readonly chatbotSectionTwoCmsModel: Model<ChatbotSectionTwoCms>,
        @InjectModel('chatbot_section_three_cms')
        private readonly chatbotSectionThreeCmsModel: Model<ChatbotSectionThreeCms>,
        @InjectModel('chatbot_page_section_four_cms')
        private readonly chatbotSectionFourCmsModel: Model<ChatbotPageSectionFourCms>,
        @InjectModel('clients')
        private readonly clientsModel: Model<Clients>,
        @InjectModel('integrations')
        private readonly integrationsModel: Model<Integrations>,
        @InjectModel('partners')
        private readonly partnersModel: Model<Partners>,
        @InjectModel('newsletter_cms')
        private readonly newsletterCmsModel: Model<NewsletterCms>,
        @InjectModel('post_purchase_section_one_cms')
        private readonly postPurchaseSectionOneCmsModel: Model<PostPurchaseSectionOneCms>,
        @InjectModel('post_purchase_section_two_cms')
        private readonly postPurchaseSectionTwoCmsModel: Model<PostPurchaseSectionTwoCms>,
        @InjectModel('post_purchase_section_three_cms')
        private readonly postPurchaseSectionThreeCmsModel: Model<PostPurchaseSectionThreeCms>,
        @InjectModel('post_purchase_section_four_cms')
        private readonly postPurchaseSectionFourCmsModel: Model<PostPurchaseSectionFourCms>,
        @InjectModel('checkout_section_one_cms')
        private readonly checkoutSectionOneCmsModel: Model<CheckoutSectionOneCms>,
        @InjectModel('checkout_section_two_cms')
        private readonly checkoutSectionTwoCmsModel: Model<CheckoutSectionTwoCms>,
        @InjectModel('checkout_section_three_cms')
        private readonly checkoutSectionThreeCmsModel: Model<CheckoutSectionThreeCms>,
        @InjectModel('checkout_section_four_cms')
        private readonly checkoutSectionFourCmsModel: Model<CheckoutSectionFourCms>,
        @InjectModel('dashboard_section_one_cms')
        private readonly dashboardSectionOneCmsModel: Model<DashboardSectionOneCms>,
        @InjectModel('dashboard_section_two_cms')
        private readonly dashboardSectionTwoCmsModel: Model<DashboardSectionTwoCms>,
        @InjectModel('dashboard_section_three_cms')
        private readonly dashboardSectionThreeCmsModel: Model<DashboardSectionThreeCms>,
        @InjectModel('dashboard_section_four_cms')
        private readonly dashboardSectionFourCmsModel: Model<DashboardSectionFourCms>,
        @InjectModel('dashboard_section_five_cms')
        private readonly dashboardSectionFiveCmsModel: Model<DashboardSectionFiveCms>,
        @InjectModel('analytics_dashboard_section_one_cms')
        private readonly analyticsDashboardSectionOneCmsModel: Model<AnalyticsDashboardSectionOneCms>,
        @InjectModel('analytics_dashboard_section_two_cms')
        private readonly analyticsDashboardSectionTwoCmsModel: Model<AnalyticsDashboardSectionTwoCms>,
        @InjectModel('analytics_dashboard_section_three_cms')
        private readonly analyticsDashboardSectionThreeCmsModel: Model<AnalyticsDashboardSectionThreeCms>,
        @InjectModel('analytics_dashboard_section_four_cms')
        private readonly analyticsDashboardSectionFourCmsModel: Model<AnalyticsDashboardSectionFourCms>,
        @InjectModel('analytics_dashboard_section_five_cms')
        private readonly analyticsDashboardSectionFiveCmsModel: Model<AnalyticsDashboardSectionFiveCms>,
        @InjectModel('analytics_dashboard_section_six_cms')
        private readonly analyticsDashboardSectionSixCmsModel: Model<AnalyticsDashboardSectionSixCms>,
        @InjectModel('portfolio_details_discover_cms')
        private readonly portfolioDetailsDiscoverCmsModel: Model<PortfolioDetailsDiscoverCms>,
        @InjectModel('hire_us_cms')
        private readonly hireUsCmsModel: Model<HireUsCms>,
        @InjectModel('analytic_dashboard_section_six')
        private readonly analyticsDashboardSectionSixModel: Model<AnalyticsDashboardSectionSix>,
        @InjectModel('integrations_page_cms')
        private readonly integrationsPageCMSOneCmsModel: Model<IntegrationsPageCMS>,
        @InjectModel('integrations_page_section_two_cms')
        private readonly integrationsPageSectionTwoCmsModel: Model<IntegrationsPageSectionTwoCms>,
        @InjectModel('integrations_page_section_three')
        private readonly IntegrationsPageSectionThreeModel: Model<IntegrationsPageSectionThree>,
        @InjectModel('integrations_page_section_four_cms')
        private readonly integrationsPageSectionFourCmsModel: Model<IntegrationsPageSectionFourCms>,
        @InjectModel('integrations_page_section_five_cms')
        private readonly integrationsPageSectionFiveCmsModel: Model<IntegrationsPageSectionFiveCms>,
        @InjectModel('integrations_page_section_six_cms')
        private readonly integrationsPageSectionSixCmsModel: Model<IntegrationsPageSectionSixCms>,
        @InjectModel('social_links')
        private readonly socialLinksModel: Model<SocialLinks>,
        @InjectModel('services') private readonly servicesModel: Model<Services>,
        @InjectModel('solutions') private readonly solutionsModel: Model<Solutions>,
        @InjectModel('solution_service_details_cms')
        private readonly solutionServiceDetailsCmsModel: Model<SolutionServiceDetailsCms>,
        @InjectModel('header_footer_cms')
        private readonly headerFooterCmsModel: Model<HeaderFooterCms>,
        @InjectModel('portfolios') private readonly portfolioModel: Model<Portfolio>,
        @InjectModel('solution_type_details_cms') private readonly solutionTypeDetailsCmsModel: Model<SolutionTypeDetailsCms>,
        @InjectModel('solutions-services')
        private readonly SolutionsServicesModel: Model<SolutionsServices>,
        @InjectModel('site_map_cms')
        private readonly siteMapCmsModel: Model<SiteMapCms>
    ) { }

    private readonly siteMapCmsRepository = new SiteMapCmsRepository(this.siteMapCmsModel);
    private readonly solutionsServicesRepository = new SolutionsServicesRepository(this.SolutionsServicesModel);
    private readonly portfolioRepository = new PortfolioRepository(this.portfolioModel);
    private readonly headerFooterCmsRepository = new HeaderFooterCmsRepository(this.headerFooterCmsModel);
    private readonly solutionServiceDetailsCmsRepository = new SolutionServiceDetailsCmsRepository(this.solutionServiceDetailsCmsModel);
    private readonly solutionsRepository = new SolutionsRepository(this.solutionsModel);
    private readonly servicesRepository = new ServicesRepository(this.servicesModel);
    private readonly aboutSectionOneCmsRepository = new AboutSectionOneCmsRepository(this.aboutSectionOneCmsModel);
    private readonly aboutSectionTwoCmsRepository = new AboutSectionTwoCmsRepository(this.aboutSectionTwoCmsModel);
    private readonly aboutSectionThreeCmsRepository = new AboutSectionThreeCmsRepository(this.aboutSectionThreeCmsModel);
    private readonly contactPageCmsRepository = new ContactPageCmsRepository(this.contactPageCmsModel);
    private readonly commonPageCmsRepository = new CommonPageCmsRepository(this.commonPageCmsModel);
    private readonly statisticsCmsRepository = new StatisticsCmsRepository(this.statisticsCmsModel);
    private readonly homeCmsRepository = new HomeCmsRepository(this.homeCmsModel);
    private readonly homeHeroCmsRepository = new HomeHeroCmsRepository(this.homeHeroCmsModel);
    private readonly homeProjectCmsRepository = new HomeProjectCmsRepository(this.homeProjectCmsModel);
    private readonly homeCompanySloganCmsRepository = new HomeCompanySloganCmsRepository(this.homeCompanySloganCmsModel);
    private readonly chatbotSectionOneCmsRepository = new ChatbotSectionOneCmsRepository(this.chatbotSectionOneCmsModel);
    private readonly chatbotSectionTwoCmsRepository = new ChatbotSectionTwoCmsRepository(this.chatbotSectionTwoCmsModel);
    private readonly chatbotSectionThreeCmsRepository = new ChatbotSectionThreeCmsRepository(this.chatbotSectionThreeCmsModel);
    private readonly chatbotSectionFourCmsRepository = new ChatbotPageSectionFourCmsRepository(this.chatbotSectionFourCmsModel);
    private readonly clientsRepository = new ClientsRepository(this.clientsModel);
    private readonly integrationsRepository = new IntegrationsRepository(this.integrationsModel);
    private readonly partnersRepository = new PartnersRepository(this.partnersModel);
    private readonly newsletterCmsRepository = new NewsletterCmsRepository(this.newsletterCmsModel);
    private readonly postPurchaseSectionOneCmsRepository = new PostPurchaseSectionOneCmsRepository(this.postPurchaseSectionOneCmsModel);
    private readonly postPurchaseSectionTwoCmsRepository = new PostPurchaseSectionTwoCmsRepository(this.postPurchaseSectionTwoCmsModel);
    private readonly postPurchaseSectionThreeCmsRepository = new PostPurchaseSectionThreeCmsRepository(this.postPurchaseSectionThreeCmsModel);
    private readonly postPurchaseSectionFourCmsRepository = new PostPurchaseSectionFourCmsRepository(this.postPurchaseSectionFourCmsModel);
    private readonly checkoutSectionOneCmsRepository = new CheckoutSectionOneCmsRepository(this.checkoutSectionOneCmsModel);
    private readonly checkoutSectionTwoCmsRepository = new CheckoutSectionTwoCmsRepository(this.checkoutSectionTwoCmsModel);
    private readonly checkoutSectionThreeCmsRepository = new CheckoutSectionThreeCmsRepository(this.checkoutSectionThreeCmsModel);
    private readonly checkoutSectionFourCmsRepository = new CheckoutSectionFourCmsRepository(this.checkoutSectionFourCmsModel);
    private readonly dashboardSectionOneCmsRepository = new DashboardSectionOneCmsRepository(this.dashboardSectionOneCmsModel);
    private readonly dashboardSectionTwoCmsRepository = new DashboardSectionTwoCmsRepository(this.dashboardSectionTwoCmsModel);
    private readonly dashboardSectionThreeCmsRepository = new DashboardSectionThreeCmsRepository(this.dashboardSectionThreeCmsModel);
    private readonly dashboardSectionFourCmsRepository = new DashboardSectionFourCmsRepository(this.dashboardSectionFourCmsModel);
    private readonly dashboardSectionFiveCmsRepository = new DashboardSectionFiveCmsRepository(this.dashboardSectionFiveCmsModel);
    private readonly analyticsDashboardSectionOneCmsRepository = new AnalyticsDashboardSectionOneCmsRepository(this.analyticsDashboardSectionOneCmsModel);
    private readonly analyticsDashboardSectionTwoCmsRepository = new AnalyticsDashboardSectionTwoCmsRepository(this.analyticsDashboardSectionTwoCmsModel);
    private readonly analyticsDashboardSectionThreeCmsRepository = new AnalyticsDashboardSectionThreeCmsRepository(this.analyticsDashboardSectionThreeCmsModel);
    private readonly analyticsDashboardSectionFourCmsRepository = new AnalyticsDashboardSectionFourCmsRepository(this.analyticsDashboardSectionFourCmsModel);
    private readonly analyticsDashboardSectionFiveCmsRepository = new AnalyticsDashboardSectionFiveCmsRepository(this.analyticsDashboardSectionFiveCmsModel);
    private readonly analyticsDashboardSectionSixCmsRepository = new AnalyticsDashboardSectionSixCmsRepository(this.analyticsDashboardSectionSixCmsModel);
    private readonly analyticsDashboardSectionSixRepository = new AnalyticsDashboardSectionSixRepository(this.analyticsDashboardSectionSixModel);
    private readonly portfolioDetailsDiscoverCmsRepository = new PortfolioDetailsDiscoverCmsRepository(this.portfolioDetailsDiscoverCmsModel);
    private readonly hireUsCmsRepository = new HireUsCmsRepository(this.hireUsCmsModel);
    private readonly socialLinksRepository = new SocialLinksRepository(this.socialLinksModel);
    private readonly integrationsPageCMSOneRepository = new IntegrationsPageCMSRepository(this.integrationsPageCMSOneCmsModel);
    private readonly integrationsPageSectionTwoCmsRepository = new IntegrationsPageSectionTwoCmsRepository(this.integrationsPageSectionTwoCmsModel);
    private readonly integrationsPageSectionThreeRepository = new IntegrationsPageSectionThreeRepository(this.IntegrationsPageSectionThreeModel);
    private readonly integrationsPageSectionFourCmsRepository = new IntegrationsPageSectionFourCmsRepository(this.integrationsPageSectionFourCmsModel);
    private readonly integrationsPageSectionFiveCmsRepository = new IntegrationsPageSectionFiveCmsRepository(this.integrationsPageSectionFiveCmsModel);
    private readonly integrationsPageSectionSixCmsRepository = new IntegrationsPageSectionSixCmsRepository(this.integrationsPageSectionSixCmsModel);
    private readonly solutionTypeDetailsCmsRepository = new SolutionTypeDetailsCmsRepository(this.solutionTypeDetailsCmsModel);

    // async getSolutionsWithServiceData(): Promise<any | Error> {
    //  const solutionsData = await this.solutionsRepository.findSpecificEntity('description urlSlug title heading image solutionType');
    //     const solutionList = [];
    //     for (const solution of solutionsData) {
    //         if (solution?.solutionType === "Development") {
    //             const foundServices = await this.solutionsServicesRepository.findByFilterQuery({ solution: solution?._id.toString() });
    //             const serviceList = []
    //             if (foundServices.length !== 0) {
    //                 for (const service of foundServices) {
    //                     const serviceData = await this.servicesRepository.findOneWithSpecificEntity(service?.service.toString());
    //                     serviceList.push(serviceData)
    //                 }
    //                 solutionList.push({ solution, service: serviceList })
    //             }
    //         }
    //     }
    //     const data = solutionList
    //     return data;
    // }

    async getAboutPageData(): Promise<any | Error> {
        const sectionOneCmsData = await this.aboutSectionOneCmsRepository.findAll();
        const sectionTwoCmsData = await this.aboutSectionTwoCmsRepository.findAll();
        const sectionThreeCmsData = await this.aboutSectionThreeCmsRepository.findAll();
        const commonPageCmsData = await this.commonPageCmsRepository.findAll();
        const statisticsCmsData = await this.statisticsCmsRepository.findAll();
        const data = {
            sectionOneCmsData: sectionOneCmsData,
            sectionTwoCmsData: sectionTwoCmsData,
            sectionThreeCmsData: sectionThreeCmsData,
            commonPageCmsData: commonPageCmsData,
            statisticsCmsData: statisticsCmsData
        }
        return ResponseUtils.successResponseHandler(200, 'Data fetched successfully', 'data', data);
    }

    async getContactPageData(): Promise<any | Error> {
        const contactPageCmsData = await this.contactPageCmsRepository.findAll();
        const commonPageCmsData = await this.commonPageCmsRepository.findAll();
        const data = {
            contactPageCmsData: contactPageCmsData,
            commonPageCmsData: commonPageCmsData
        }
        return ResponseUtils.successResponseHandler(200, 'Data fetched successfully', 'data', data);
    }

    async getCommonCMSData(): Promise<any | Error> {
        const partnersData = await this.partnersRepository.findAll();
        const newsletterCmsData = await this.newsletterCmsRepository.findAll();
        const commonPageCmsData = await this.commonPageCmsRepository.findAll();
        const socialLinksData = await this.socialLinksRepository.findAll();
        const servicesData = await this.servicesRepository.findSpecificEntity('description urlSlug title heading image solutions icon');
        const solutionsData = await this.solutionsRepository.findSpecificEntity('description urlSlug title heading image solutionType icon');
        const headerFooterCmsData = await this.headerFooterCmsRepository.findAll()
        const integrationsData = await this.integrationsRepository.findAll();
        const data = {
            partnersData: partnersData,
            newsletterCmsData: newsletterCmsData,
            commonPageCmsData: commonPageCmsData,
            socialLinksData: socialLinksData,
            servicesData: servicesData,
            solutionsData: solutionsData,
            headerFooterCmsData: headerFooterCmsData,
            integrationsData: integrationsData
        }
        return ResponseUtils.successResponseHandler(200, 'Data fetched successfully', 'data', data);
    }

    async getHomePageData(): Promise<any | Error> {
        const homePageCmsData = await this.homeCmsRepository.findAll();
        const homeHeroCmsData = await this.homeHeroCmsRepository.findAll();
        const homeProjectCmsData = await this.homeProjectCmsRepository.findAll();
        const homeCompanySloganCmsData = await this.homeCompanySloganCmsRepository.findAll();
        const clientsData = await this.clientsRepository.findAll();
        const integrationsData = await this.integrationsRepository.findAll();
        const statisticsCmsData = await this.statisticsCmsRepository.findAll();
        const partnersData = await this.partnersRepository.findAll();
        const newsletterCmsData = await this.newsletterCmsRepository.findAll();
        const commonPageCmsData = await this.commonPageCmsRepository.findAll();
        const servicesData = await this.servicesRepository.findSpecificEntity('urlSlug title solutions');
        const solutionsData = await this.solutionsRepository.findSpecificEntity('urlSlug title solutionType');
        const portfolioData = await this.portfolioRepository.findSpecificEntity('featuredImage urlSlug title subTitle');
        const data = {
            homePageCmsData: homePageCmsData,
            homeHeroCmsData: homeHeroCmsData,
            homeProjectCmsData: homeProjectCmsData,
            homeCompanySloganCmsData: homeCompanySloganCmsData,
            integrationsData: integrationsData,
            statisticsCmsData: statisticsCmsData,
            commonPageCmsData: commonPageCmsData,
            clientsData: clientsData,
            partnersData: partnersData,
            newsletterCmsData: newsletterCmsData,
            servicesData: servicesData,
            solutionsData: solutionsData,
            portfolioData: portfolioData,
        }
        return ResponseUtils.successResponseHandler(200, 'Data fetched successfully', 'data', data);
    }

    async getChatbotPageData(): Promise<any | Error> {
        const sectionOneCmsData = await this.chatbotSectionOneCmsRepository.findAll();
        const sectionTwoCmsData = await this.chatbotSectionTwoCmsRepository.findAll();
        const sectionThreeCmsData = await this.chatbotSectionThreeCmsRepository.findAll();
        const sectionFourCmsData = await this.chatbotSectionFourCmsRepository.findAll();
        const commonPageCmsData = await this.commonPageCmsRepository.findAll();
        const partnersData = await this.partnersRepository.findAll();
        const newsletterCmsData = await this.newsletterCmsRepository.findAll();
        const data = {
            sectionOneCmsData: sectionOneCmsData,
            sectionTwoCmsData: sectionTwoCmsData,
            sectionThreeCmsData: sectionThreeCmsData,
            sectionFourCmsData: sectionFourCmsData,
            commonPageCmsData: commonPageCmsData,
            partnersData: partnersData,
            newsletterCmsData: newsletterCmsData
        }
        return ResponseUtils.successResponseHandler(200, 'Data fetched successfully', 'data', data);
    }

    async getPostPurchasePageData(): Promise<any | Error> {
        const sectionOneCmsData = await this.postPurchaseSectionOneCmsRepository.findAll();
        const sectionTwoCmsData = await this.postPurchaseSectionTwoCmsRepository.findAll();
        const sectionThreeCmsData = await this.postPurchaseSectionThreeCmsRepository.findAll();
        const sectionFourCmsData = await this.postPurchaseSectionFourCmsRepository.findAll();
        const data = {
            sectionOneCmsData: sectionOneCmsData,
            sectionTwoCmsData: sectionTwoCmsData,
            sectionThreeCmsData: sectionThreeCmsData,
            sectionFourCmsData: sectionFourCmsData
        }
        return ResponseUtils.successResponseHandler(200, 'Data fetched successfully', 'data', data);
    }

    async getCheckoutPageData(): Promise<any | Error> {
        const sectionOneCmsData = await this.checkoutSectionOneCmsRepository.findAll();
        const sectionTwoCmsData = await this.checkoutSectionTwoCmsRepository.findAll();
        const sectionThreeCmsData = await this.checkoutSectionThreeCmsRepository.findAll();
        const sectionFourCmsData = await this.checkoutSectionFourCmsRepository.findAll();

        const data = {
            sectionOneCmsData: sectionOneCmsData,
            sectionTwoCmsData: sectionTwoCmsData,
            sectionThreeCmsData: sectionThreeCmsData,
            sectionFourCmsData: sectionFourCmsData
        }
        return ResponseUtils.successResponseHandler(200, 'Data fetched successfully', 'data', data);
    }

    async getCmsDashboardPageData(): Promise<any | Error> {
        const sectionOneCmsData = await this.dashboardSectionOneCmsRepository.findAll();
        const sectionTwoCmsData = await this.dashboardSectionTwoCmsRepository.findAll();
        const sectionThreeCmsData = await this.dashboardSectionThreeCmsRepository.findAll();
        const sectionFourCmsData = await this.dashboardSectionFourCmsRepository.findAll();
        const sectionFiveCmsData = await this.dashboardSectionFiveCmsRepository.findAll();

        const data = {
            sectionOneCmsData: sectionOneCmsData,
            sectionTwoCmsData: sectionTwoCmsData,
            sectionThreeCmsData: sectionThreeCmsData,
            sectionFourCmsData: sectionFourCmsData,
            sectionFiveCmsData: sectionFiveCmsData
        }
        return ResponseUtils.successResponseHandler(200, 'Data fetched successfully', 'data', data);
    }

    async getAnalyticsDashboardPageData(): Promise<any | Error> {
        const sectionOneCmsData = await this.analyticsDashboardSectionOneCmsRepository.findAll();
        const sectionTwoCmsData = await this.analyticsDashboardSectionTwoCmsRepository.findAll();
        const sectionThreeCmsData = await this.analyticsDashboardSectionThreeCmsRepository.findAll();
        const sectionFourCmsData = await this.analyticsDashboardSectionFourCmsRepository.findAll();
        const sectionFiveCmsData = await this.analyticsDashboardSectionFiveCmsRepository.findAll();
        const sectionSixCmsData = await this.analyticsDashboardSectionSixCmsRepository.findAll();
        const sectionSixData = await this.analyticsDashboardSectionSixRepository.findAll();

        const data = {
            sectionOneCmsData: sectionOneCmsData,
            sectionTwoCmsData: sectionTwoCmsData,
            sectionThreeCmsData: sectionThreeCmsData,
            sectionFourCmsData: sectionFourCmsData,
            sectionFiveCmsData: sectionFiveCmsData,
            sectionSixCmsData: sectionSixCmsData,
            sectionSixData: sectionSixData
        }
        return ResponseUtils.successResponseHandler(200, 'Data fetched successfully', 'data', data);
    }

    async getPortfolioPageData(): Promise<any | Error> {
        const portfolioData = await this.portfolioRepository.findSpecificEntity('featuredImage urlSlug title subTitle');

        const data = {
            portfolioData: portfolioData
        }
        return ResponseUtils.successResponseHandler(200, 'Data fetched successfully', 'data', data);
    }

    async getIntegrationPageData(): Promise<any | Error> {
        const sectionOneCmsData = await this.integrationsPageCMSOneRepository.findAll();
        const sectionTwoCmsData = await this.integrationsPageSectionTwoCmsRepository.findAll();
        const sectionThreeCmsData = await this.integrationsPageSectionThreeRepository.findAll();
        const sectionFourCmsData = await this.integrationsPageSectionFourCmsRepository.findAll();
        const sectionFiveCmsData = await this.integrationsPageSectionFiveCmsRepository.findAll();
        const sectionSixCmsData = await this.integrationsPageSectionSixCmsRepository.findAll();
        const integrationsData = await this.integrationsRepository.findAll();

        const data = { integrationsData, sectionOneCmsData, sectionTwoCmsData, sectionThreeCmsData, sectionFourCmsData, sectionFiveCmsData, sectionSixCmsData }

        return ResponseUtils.successResponseHandler(200, 'Data fetched successfully', 'data', data);
    }

    async getSolutionsDetailsPageData(urlSlug: string): Promise<any | Error> {
        const solutionDetails = await this.solutionsRepository.findOneByFilterQuery({ urlSlug: urlSlug });
        const solutionsData = await this.solutionsRepository.findSpecificEntity('description urlSlug title heading image solutionType');
        const commonPageCmsData = await this.commonPageCmsRepository.findAll();
        const servicesData = await this.servicesRepository.findSpecificEntity('urlSlug title solutions');
        const portfolioData = await this.portfolioRepository.findSpecificEntity('featuredImage urlSlug title subTitle');
        if (!solutionDetails) {
            throw new NotFoundException(
                Constants.NOT_FOUND
            );
        }
        const solutionServiceDetailsCmsData = await this.solutionServiceDetailsCmsRepository.findAll();

        const data = {
            ...solutionDetails,
            solutionServiceDetailsCmsData,
            solutionsData,
            commonPageCmsData,
            portfolioData,
            servicesData
        }

        return ResponseUtils.successResponseHandler(200, 'Data fetched successfully', 'data', data);
    }

    async getServiceDetailsPageData(urlSlug: string): Promise<any | Error> {
        const serviceDetails = await this.servicesRepository.findOneByFilterQuery({ urlSlug: urlSlug });
        const commonPageCmsData = await this.commonPageCmsRepository.findAll();
        if (!serviceDetails) {
            throw new NotFoundException(
                Constants.NOT_FOUND
            );
        }
        const solutionServiceDetailsCmsData = await this.solutionServiceDetailsCmsRepository.findAll();
        const servicesData = await this.servicesRepository.findSpecificEntity('urlSlug title solutions');
        const solutionsData = await this.solutionsRepository.findSpecificEntity('urlSlug title solutionType');
        const portfolioData = await this.portfolioRepository.findSpecificEntity('featuredImage urlSlug title subTitle');
        const data = {
            serviceDetails: serviceDetails,
            solutionServiceDetailsCmsData: solutionServiceDetailsCmsData,
            commonPageCmsData: commonPageCmsData,
            servicesData: servicesData,
            portfolioData: portfolioData,
            solutionsData: solutionsData
        }

        return ResponseUtils.successResponseHandler(200, 'Data fetched successfully', 'data', data);
    }

    async getPortFolioDetailsPageData(urlSlug: string): Promise<any | Error> {
        const portfolioDetails = await this.portfolioRepository.findOneByFilterQuery({ urlSlug: urlSlug });
        if (!portfolioDetails) {
            throw new NotFoundException(
                Constants.NOT_FOUND
            );
        }
        const discoverCmsData = await this.portfolioDetailsDiscoverCmsRepository.findAll();
        const hireUsCmsData = await this.hireUsCmsRepository.findAll();
        const commonPageCmsData = await this.commonPageCmsRepository.findAll();
        const solutionsData = await this.solutionsRepository.findSpecificEntity('description urlSlug title heading image solutionType');
        const servicesData = await this.servicesRepository.findSpecificEntity('description urlSlug title heading image solutions');
        const portfolioData = await this.portfolioRepository.findSpecificEntity('featuredImage urlSlug title subTitle');
        const data = {
            portfolioDetails: portfolioDetails,
            discoverCmsData: discoverCmsData,
            hireUsCmsData: hireUsCmsData,
            commonPageCmsData: commonPageCmsData,
            solutionsData: solutionsData,
            servicesData: servicesData,
            portfolioData: portfolioData
        }

        return ResponseUtils.successResponseHandler(200, 'Data fetched successfully', 'data', data);
    }

    async getSolutionDetailsPageData(): Promise<any | Error> {
        const solutionTypeDetailsCmsData = await this.solutionTypeDetailsCmsRepository.findAll();
        const commonPageCmsData = await this.commonPageCmsRepository.findAll();
        const solutionsData = await this.solutionsRepository.findSpecificEntity('description urlSlug title heading image solutionType');
        const servicesData = await this.servicesRepository.findSpecificEntity('description urlSlug title heading image solutions');
        const partnersData = await this.partnersRepository.findAll();
        const data = {
            solutionTypeDetailsCmsData: solutionTypeDetailsCmsData,
            commonPageCmsData: commonPageCmsData,
            solutionsData: solutionsData,
            servicesData: servicesData,
            partnersData: partnersData
        }

        return ResponseUtils.successResponseHandler(200, 'Data fetched successfully', 'data', data);
    }


    async getSiteMap(): Promise<any | Error> {
        const siteMap = await this.siteMapCmsRepository.findAll();
        const solutions = await this.solutionsRepository.findSpecificEntity('urlSlug');
        const services = await this.servicesRepository.findSpecificEntity('urlSlug');
        const portfolios = await this.portfolioRepository.findSpecificEntity("urlSlug");
        const data = {
            siteMap,
            solutions,
            services,
            portfolios
        };

        return ResponseUtils.successResponseHandler(200, 'Data fetched successfully', 'data', data);
    }
}
